Bug 239065 - devel/libpciaccess 0.14 breaks x11-drivers/xf86-video-vesa-2.4.0_2
Summary: devel/libpciaccess 0.14 breaks x11-drivers/xf86-video-vesa-2.4.0_2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-x11 mailing list
URL:
Keywords:
: 239200 (view as bug list)
Depends on:
Blocks: 239200
  Show dependency treegraph
 
Reported: 2019-07-09 14:06 UTC by george
Modified: 2019-08-07 13:34 UTC (History)
10 users (show)

See Also:
zeising: merge-quarterly+


Attachments
Update devel/libpciaccess to 0.16 and (try to) fix issues (24.06 KB, patch)
2019-08-01 21:04 UTC, Niclas Zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description george 2019-07-09 14:06:40 UTC
I'm running FreeBSD 11.2-RELEASE-p10.  My ports tree is (mostly) at revision 506139.  In the process of doing a partial ports update yesterday, I upgraded from libpciaccess-0.13.5 to 0.14, and I could no longer run my display (which uses the xorg vesa driver).

I'm running xorg-7.7_3, xorg-server-1.18.4_11,1, and xf86-video-vesa-2.4.0_2.

With libpciaccess-0.14, this line shows up in Xorg.0.log:

[    88.312] vesa: Ignoring device with a bound kernel driver

and the X server dies.  With version 0.13.5, the above line does not appear and everything works.

According to pciconf -lv, my display controller is:

vgapci0@pci0:6:0:0:     class=0x030000 card=0xd0001458 chip=0x15dd1002 rev=0xc8 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD/ATI]'
    device     = 'Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series]'
    class      = display
    subclass   = VGA

As far as I have been able to tell, only the VESA driver supports this on FreeBSD so far.  Please let me know how to help debug this (though I'm set for the moment after downgrading to libpciaccess-0.13.5).
Comment 1 Andreas Schwarz 2019-07-10 00:19:52 UTC
Same here. After upgrading my desktop system today, the vesa driver want load anymore.

[   845.322] vesa: Ignoring device with a bound kernel driver
[   845.322] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[   845.322] (EE) Screen 0 deleted because of no matching config section.
[   845.322] (II) UnloadModule: "vesa"

root@fbsddesk:~ # uname -a
FreeBSD fbsddesk.schwarzes.net 12.0-RELEASE-p7 FreeBSD 12.0-RELEASE-p7 GENERIC  amd64

I'm using a AMD Ryzen 5 2400G a APU containing a VEGA 11 GPU, which is still not supported. So I'm using the vesa driver which was working fine before.

Fortunately, the scfb video driver still works, so it was possible to use scfb as a workaround.

FreeBSD was upgraded by freebsd-update and the packages via pkg system.
Comment 2 george 2019-07-10 00:29:29 UTC
Andreas, can you compile from ports?  If so, you can locally work around this problem with "cd /usr/ports/devel/libpciaccess; svn update -r438045; make clean; make install".  I have a locally-compiled 11.2 package of libpciaccess-0.13.5, but that won't help you on 12.0.

I haven't tried scfb, because I've never heard of it.
Comment 3 george 2019-07-10 00:41:06 UTC
I forgot to mention that you will have to "make deinstall" before "make install".
Comment 4 Tod McQuillin 2019-07-10 07:46:37 UTC
I see the same problem with the mga driver and libpciaccess 0.14.0

[    80.926] (EE) mga: The PCI device 0x533 at 01@00:00:1 has a kernel module claiming it.
[    80.926] (EE) mga: This driver cannot operate until it has been unloaded.
[    80.926] (EE) No devices detected.
[    80.926] (EE) 
Fatal server error:
[    80.926] (EE) no screens found(EE) 
[    80.926] (EE) 

Downgrading to libpciaccess 0.13.5 restores working behaviour.
Comment 5 hdeleeuw 2019-07-10 15:44:26 UTC
Same problem here, after updating to FreeBSD 11.2-RELEASE-p11 today.
I tried the "cd /usr/ports/devel/libpciaccess; svnlite update -r438045; make clean; make deinstall; make reinstall" suggested by George, but I get 

Skipped '.'
svn: E155007: None of the targets are working copies

(used svnlite as svn is not installed on my machine)

I'll try to find another way to downgrade libpciaccess to 0.13.5, but at this moment I don't know how to yet.
Comment 6 hdeleeuw 2019-07-10 15:57:29 UTC
(In reply to hdeleeuw from comment #5)
I used ports-mgmt/portdowngrade to downgrade to 0.13.5.
Now everything is running again.
Comment 7 daniel 2019-07-11 15:45:40 UTC
FWIW, No problem with libpciaccess-0.14 here.

root@xjupiter-one:/usr/ports # uname -a
FreeBSD xjupiter-one 12.0-RELEASE-p7 FreeBSD 12.0-RELEASE-p7 GENERIC  amd64

AMD AM4 Ryzen 3 2200G 4 Core Processor with Integrated Radeon RX Vega 8 Graphics

root@xjupiter-one:/usr/ports # pkg info | grep libpci
libpci-3.6.2                   PCI configuration space I/O made easy
libpciaccess-0.14              Generic PCI access library
linux-c6-libpciaccess-0.13.4_2 Generic PCI access library (CentOS 6.10)

root@xjupiter-one:/usr/ports # pkg info | grep xorg
linux-c6-xorg-libs-7.4_10      Xorg libraries (Linux CentOS 6.10)
xorg-7.7_3                     X.Org complete distribution metaport
xorg-apps-7.7_3                X.org apps meta-port
xorg-docs-1.7.1,1              X.org documentation files
xorg-drivers-7.7_5             X.org drivers meta-port
xorg-fonts-7.7_1               X.org fonts meta-port
xorg-fonts-100dpi-7.7          X.Org 100dpi bitmap fonts
xorg-fonts-75dpi-7.7           X.Org 75dpi bitmap fonts
xorg-fonts-cyrillic-7.7        X.Org Cyrillic bitmap fonts
xorg-fonts-miscbitmaps-7.7     X.Org miscellaneous bitmap fonts
xorg-fonts-truetype-7.7_1      X.Org TrueType fonts
xorg-fonts-type1-7.7           X.Org Type1 fonts
xorg-libraries-7.7_2           X.org libraries meta-port
xorg-macros-1.19.2             X.Org development aclocal macros
xorg-server-1.18.4_11,1        X.Org X server and related programs
xorgproto-2019.1               xorg protocol headers


root@xjupiter-one:/usr/ports # pciconf -lv
vgapci0@pci0:7:0:0:	class=0x030000 card=0xd0001458 chip=0x15dd1002 rev=0xc8 hdr=0x00
    vendor     = 'Advanced Micro Devices, Inc. [AMD/ATI]'
    device     = 'Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series]'
    class      = display
    subclass   = VGA

root@xjupiter-one:/usr/ports # pkg info | grep vesa
xf86-video-vesa-2.4.0_2        X.Org vesa display driver

[na6mg@xjupiter-one /boot]$ cat loader.conf
#hw.syscons.disable=1

Works with hw.syscons.diasble=1, commented or not
Comment 8 Niclas Zeising freebsd_committer 2019-07-12 06:48:30 UTC
Hi!
The following github branch contains an update of libpciaccess to 0.15.0, any chance you can try that?
https://github.com/FreeBSDDesktop/freebsd-ports/tree/feature/xorglibs

At leat in the Raven Ridge case, there seem to be some configurations that are working, and some that are not, any chance you can compare configurations?
Comment 9 Niclas Zeising freebsd_committer 2019-07-12 06:58:23 UTC
(In reply to Tod McQuillin from comment #4)
> I see the same problem with the mga driver and libpciaccess 0.14.0
> 
> [    80.926] (EE) mga: The PCI device 0x533 at 01@00:00:1 has a kernel
> module claiming it.
> [    80.926] (EE) mga: This driver cannot operate until it has been unloaded.
> [    80.926] (EE) No devices detected.
> [    80.926] (EE) 
> Fatal server error:
> [    80.926] (EE) no screens found(EE) 
> [    80.926] (EE) 
> 
> Downgrading to libpciaccess 0.13.5 restores working behaviour.

Hi!
Can you check if any kernel driver is attached to your graphics card?
There is a check in xf86-video-mga for this, and it then bails, because it thinks that G200 can do KMS.  I know we don't have KMS for any mga cards, so I'm going to try to remove that check, but it would be interesting to see if a driver is attached.
I don't have any mga hardware to test on myself.
Thanks!
Comment 10 daniel 2019-07-12 12:47:15 UTC
In addition to what I've already provided, here's more.  Will provide more if requested.

motherboard is: Gigabyte A320M-SH2 rev 1.1, Bios/efi is at level F22

dmesg...

---<<BOOT>>---
Copyright (c) 1992-2018 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 12.0-RELEASE-p7 GENERIC amd64
FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1)
VT(efifb): resolution 1024x768
CPU: AMD Ryzen 3 2200G with Radeon Vega Graphics     (3493.55-MHz K8-class CPU)
  Origin="AuthenticAMD"  Id=0x810f10  Family=0x17  Model=0x11  Stepping=0
  Features=0x178bfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,MMX,FXSR,SSE,SSE2,HTT>
  Features2=0x7ed8320b<SSE3,PCLMULQDQ,MON,SSSE3,FMA,CX16,SSE4.1,SSE4.2,MOVBE,POPCNT,AESNI,XSAVE,OSXSAVE,AVX,F16C,RDRAND>
  AMD Features=0x2e500800<SYSCALL,NX,MMX+,FFXSR,Page1GB,RDTSCP,LM>
  AMD Features2=0x35c233ff<LAHF,CMP,SVM,ExtAPIC,CR8,ABM,SSE4A,MAS,Prefetch,OSVW,SKINIT,WDT,TCE,Topology,PCXC,PNXC,DBE,PL2I,MWAITX>
  Structured Extended Features=0x209c01a9<FSGSBASE,BMI1,AVX2,SMEP,BMI2,RDSEED,ADX,SMAP,CLFLUSHOPT,SHA>
  XSAVE Features=0xf<XSAVEOPT,XSAVEC,XINUSE,XSAVES>
  AMD Extended Feature Extensions ID EBX=0x1007<CLZERO,IRPerf,XSaveErPtr>
  SVM: (disabled in BIOS) NP,NRIP,VClean,AFlush,DAssist,NAsids=32768
  TSC: P-state invariant, performance statistics
real memory  = 17179869184 (16384 MB)
avail memory = 15532036096 (14812 MB)
Event timer "LAPIC" quality 600
ACPI APIC Table: <ALASKA A M I >
FreeBSD/SMP: Multiprocessor System Detected: 4 CPUs
FreeBSD/SMP: 1 package(s) x 4 core(s)
random: unblocking device.
Firmware Warning (ACPI): Optional FADT field Pm2ControlBlock has valid Length but zero Address: 0x0000000000000000/0x1 (20181003/tbfadt-796)
ioapic0 <Version 2.1> irqs 0-23 on motherboard
ioapic1 <Version 2.1> irqs 24-55 on motherboard
Launching APs: 2 3 1
Timecounter "TSC-low" frequency 1746776412 Hz quality 1000
random: entropy device external interface
kbd1 at kbdmux0
netmap: loaded module
[ath_hal] loaded
module_register_init: MOD_LOAD (vesa, 0xffffffff810f9a00, 0) error 19
random: registering fast source Intel Secure Key RNG
random: fast provider: "Intel Secure Key RNG"
nexus0
efirtc0: <EFI Realtime Clock> on motherboard
efirtc0: registered as a time-of-day clock, resolution 1.000000s
cryptosoft0: <software crypto> on motherboard
acpi0: <ALASKA A M I > on motherboard
Firmware Error (ACPI): Failure creating [\134_SB.SMIC], AE_ALREADY_EXISTS (20181003/dswload2-468)
ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20181003/psobject-372)
Firmware Error (ACPI): Failure creating [\134_SB.SMIB], AE_ALREADY_EXISTS (20181003/dsfield-803)
acpi0: Power Button (fixed)
cpu0: <ACPI CPU> on acpi0
attimer0: <AT timer> port 0x40-0x43 irq 0 on acpi0
Timecounter "i8254" frequency 1193182 Hz quality 0
Event timer "i8254" frequency 1193182 Hz quality 100
atrtc0: <AT realtime clock> port 0x70-0x71 on acpi0
atrtc0: registered as a time-of-day clock, resolution 1.000000s
Event timer "RTC" frequency 32768 Hz quality 0
hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff irq 0,8 on acpi0
Timecounter "HPET" frequency 14318180 Hz quality 950
Event timer "HPET" frequency 14318180 Hz quality 450
Event timer "HPET1" frequency 14318180 Hz quality 450
Event timer "HPET2" frequency 14318180 Hz quality 450
Timecounter "ACPI-safe" frequency 3579545 Hz quality 850
acpi_timer0: <32-bit timer at 3.579545MHz> port 0x808-0x80b on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pci0: <base peripheral, IOMMU> at device 0.2 (no driver attached)
pcib1: <ACPI PCI-PCI bridge> at device 1.2 on pci0
pci1: <ACPI PCI bus> on pcib1
xhci0: <XHCI (generic) USB 3.0 controller> mem 0xfe8a0000-0xfe8a7fff irq 28 at device 0.0 on pci1
xhci0: 32 bytes context size, 64-bit DMA
usbus0 on xhci0
usbus0: 5.0Gbps Super Speed USB v3.0
ahci0: <AHCI SATA controller> mem 0xfe880000-0xfe89ffff irq 29 at device 0.1 on pci1
ahci0: AHCI v1.31 with 8 6Gbps ports, Port Multiplier supported
ahcich0: <AHCI channel> at channel 0 on ahci0
ahcich1: <AHCI channel> at channel 1 on ahci0
ahcich4: <AHCI channel> at channel 4 on ahci0
ahcich5: <AHCI channel> at channel 5 on ahci0
pcib2: <ACPI PCI-PCI bridge> irq 30 at device 0.2 on pci1
pci2: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> irq 28 at device 4.0 on pci2
pci3: <ACPI PCI bus> on pcib3
pcib4: <ACPI PCI-PCI bridge> irq 29 at device 5.0 on pci2
pci4: <ACPI PCI bus> on pcib4
pcib5: <ACPI PCI-PCI bridge> irq 30 at device 6.0 on pci2
pci5: <ACPI PCI bus> on pcib5
pcib6: <ACPI PCI-PCI bridge> irq 31 at device 7.0 on pci2
pci6: <ACPI PCI bus> on pcib6
re0: <RealTek 8168/8111 B/C/CP/D/DP/E/F/G PCIe Gigabit Ethernet> port 0xf000-0xf0ff mem 0xfe700000-0xfe700fff,0xf0300000-0xf0303fff irq 31 at device 0.0 on pci6
re0: Using 1 MSI-X message
re0: Chip rev. 0x4c000000
re0: MAC rev. 0x00000000
miibus0: <MII bus> on re0
rgephy0: <RTL8251/8153 1000BASE-T media interface> PHY 1 on miibus0
rgephy0:  none, 10baseT, 10baseT-FDX, 10baseT-FDX-flow, 100baseTX, 100baseTX-FDX, 100baseTX-FDX-flow, 1000baseT-FDX, 1000baseT-FDX-master, 1000baseT-FDX-flow, 1000baseT-FDX-flow-master, auto, auto-flow
re0: Using defaults for TSO: 65518/35/2048
re0: Ethernet address: e0:d5:5e:d8:db:94
re0: netmap queues/slots: TX 1/256, RX 1/256
pcib7: <ACPI PCI-PCI bridge> at device 8.1 on pci0
pci7: <ACPI PCI bus> on pcib7
vgapci0: <VGA-compatible display> port 0xe000-0xe0ff mem 0xe0000000-0xefffffff,0xf0000000-0xf01fffff,0xfe600000-0xfe67ffff irq 52 at device 0.0 on pci7
vgapci0: Boot video device
hdac0: <ATI (0x15de) HDA Controller> mem 0xfe688000-0xfe68bfff irq 53 at device 0.1 on pci7
pci7: <encrypt/decrypt> at device 0.2 (no driver attached)
xhci1: <XHCI (generic) USB 3.0 controller> mem 0xfe400000-0xfe4fffff irq 55 at device 0.3 on pci7
xhci1: 64 bytes context size, 64-bit DMA
xhci1: Unable to map MSI-X table 
usbus1 on xhci1
usbus1: 5.0Gbps Super Speed USB v3.0
xhci2: <XHCI (generic) USB 3.0 controller> mem 0xfe300000-0xfe3fffff irq 52 at device 0.4 on pci7
xhci2: 64 bytes context size, 64-bit DMA
xhci2: Unable to map MSI-X table 
usbus2 on xhci2
usbus2: 5.0Gbps Super Speed USB v3.0
hdac1: <AMD (0x15e3) HDA Controller> mem 0xfe680000-0xfe687fff irq 54 at device 0.6 on pci7
pcib8: <ACPI PCI-PCI bridge> at device 8.2 on pci0
pci8: <ACPI PCI bus> on pcib8
ahci1: <AMD KERNCZ AHCI SATA controller> mem 0xfe900000-0xfe9007ff irq 54 at device 0.0 on pci8
ahci1: AHCI v1.31 with 2 6Gbps ports, Port Multiplier supported with FBS
ahcich8: <AHCI channel> at channel 0 on ahci1
ahcich9: <AHCI channel> at channel 1 on ahci1
isab0: <PCI-ISA bridge> at device 20.3 on pci0
isa0: <ISA bus> on isab0
acpi_button0: <Power Button> on acpi0
uart2: <16x50 with 256 byte FIFO> iomem 0xfedc9000-0xfedc9fff,0xfedc7000-0xfedc7fff irq 3 on acpi0
uart3: <16x50 with 256 byte FIFO> iomem 0xfedca000-0xfedcafff,0xfedc8000-0xfedc8fff irq 4 on acpi0
uart4: <16x50 with 256 byte FIFO> iomem 0xfedce000-0xfedcefff,0xfedcc000-0xfedccfff irq 15 on acpi0
uart5: <16x50 with 256 byte FIFO> iomem 0xfedcf000-0xfedcffff,0xfedcd000-0xfedcdfff irq 5 on acpi0
atkbdc0: <Keyboard controller (i8042)> at port 0x60,0x64 on isa0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbdc0: non-PNP ISA device will be removed from GENERIC in FreeBSD 12.
hwpstate0: <Cool`n'Quiet 2.0> on cpu0
Timecounters tick every 1.000 msec
hdacc0: <ATI R6xx HDA CODEC> at cad 0 on hdac0
hdaa0: <ATI R6xx Audio Function Group> at nid 1 on hdacc0
pcm0: <ATI R6xx (HDMI)> at nid 3 on hdaa0
pcm1: <ATI R6xx (HDMI)> at nid 5 on hdaa0
pcm2: <ATI R6xx (HDMI)> at nid 7 on hdaa0
pcm3: <ATI R6xx (HDMI)> at nid 9 on hdaa0
pcm4: <ATI R6xx (HDMI)> at nid 11 on hdaa0
pcm5: <ATI R6xx (HDMI)> at nid 13 on hdaa0
hdacc1: <Realtek ALC887 HDA CODEC> at cad 0 on hdac1
hdaa1: <Realtek ALC887 Audio Function Group> at nid 1 on hdacc1
pcm6: <Realtek ALC887 (Rear Analog)> at nid 20 and 24,26 on hdaa1
pcm7: <Realtek ALC887 (Front Analog)> at nid 27 and 25 on hdaa1
pcm8: <Realtek ALC887 (Onboard Digital)> at nid 17 on hdaa1
ugen2.1: <0x1022 XHCI root HUB> at usbus2
ugen0.1: <0x1022 XHCI root HUB> at usbus0
ugen1.1: <0x1022 XHCI root HUB> at usbus1
uhub0: <0x1022 XHCI root HUB, class 9/0, rev 3.00/1.00, addr 1> on usbus2
uhub2: <0x1022 XHCI root HUB, class 9/0, rev 3.00/1.00, addr 1> on usbus0
uhub1: <0x1022 XHCI root HUB, class 9/0, rev 3.00/1.00, addr 1> on usbus1
ada0 at ahcich0 bus 0 scbus0 target 0 lun 0
ada0: <WDC WD1003FZEX-00K3CA0 01.01A01> ACS-3 ATA SATA 3.x device
ada0: Serial Number WD-WCC6Y7PUZFDC
ada0: 600.000MB/s transfers (SATA 3.x, UDMA6, PIO 8192bytes)
ada0: Command Queueing enabled
ada0: 953869MB (1953525168 512 byte sectors)
ada0: quirks=0x1<4K>
ada1 at ahcich1 bus 0 scbus1 target 0 lun 0
ada1: <TOSHIBA HDWD105 MS1OA8R0> ATA8-ACS SATA 3.x device
ada1: Serial Number 48UK5JAAS
ada1: 600.000MB/s transfers (SATA 3.x, UDMA6, PIO 8192bytes)
ada1: Command Queueing enabled
ada1: 476940MB (976773168 512 byte sectors)
ada2 at ahcich4 bus 0 scbus2 target 0 lun 0
ada2: <WDC WD5000LPCX-22VHAT1 02.01A02> ACS-3 ATA SATA 3.x device
ada2: Serial Number WD-WXP1A48KZ5JA
ada2: 600.000MB/s transfers (SATA 3.x, UDMA6, PIO 8192bytes)
ada2: Command Queueing enabled
ada2: 476940MB (976773168 512 byte sectors)
ada2: quirks=0x1<4K>
Trying to mount root from ufs:/dev/ada1p3 [rw]...
uhub0: 2 ports with 2 removable, self powered
uhub1: 8 ports with 8 removable, self powered
uhub2: 22 ports with 22 removable, self powered
ugen0.2: <vendor 0x13fe Patriot Memory> at usbus0
umass0 on uhub2
umass0: <vendor 0x13fe Patriot Memory, class 0/0, rev 2.00/1.00, addr 1> on usbus0
umass0:  SCSI over Bulk-Only; quirks = 0x8100
umass0:6:0: Attached to scbus6
da0 at umass-sim0 bus 0 scbus6 target 0 lun 0
da0: < Patriot Memory PMAP> Removable Direct Access SPC-2 SCSI device
da0: Serial Number 0703952B0E3BC581
da0: 40.000MB/s transfers
da0: 14820MB (30351360 512 byte sectors)
da0: quirks=0x2<NO_6_BYTE>
[drm] amdgpu kernel modesetting enabled.
drmn0: <drmn> on vgapci0
vgapci0: child drmn0 requested pci_enable_io
vgapci0: child drmn0 requested pci_enable_io
[drm] initializing kernel modesetting (RAVEN 0x1002:0x15DD 0x1458:0xD000 0xC8).
[drm] register mmio base: 0xFE600000
[drm] register mmio size: 524288
[drm] PCI I/O BAR is not found.
ugen0.3: <USB Device USB 2.0 Hub> at usbus0
uhub3 on uhub2
uhub3: <USB Device USB 2.0 Hub, class 9/0, rev 2.00/0.00, addr 2> on usbus0
drmn0: successfully loaded firmware image with name: amdgpu/raven_gpu_info.bin
[drm] probing gen 2 caps for device 1022:15db = 700d03/e
[drm] probing mlw for device 1002:15dd = 400d03
[drm] VCN decode is enabled in VM mode
[drm] VCN encode is enabled in VM mode
[drm] BIOS signature incorrect 0 0
ATOM BIOS: 113-RAVEN-104
[drm] vm size is 262144 GB, 4 levels, block size is 9-bit, fragment size is 9-bit
drmn0: VRAM: 1024M 0x000000F400000000 - 0x000000F43FFFFFFF (1024M used)
drmn0: GTT: 1024M 0x000000F500000000 - 0x000000F53FFFFFFF
Successfully added WC MTRR for [0xe0000000-0xefffffff]: 0; 
[drm] Detected VRAM RAM=1024M, BAR=256M
[drm] RAM width 128bits UNKNOWN
[TTM] Zone  kernel: Available graphics memory: 7816322 kiB
[TTM] Zone   dma32: Available graphics memory: 2097152 kiB
[TTM] Initializing pool allocator
[drm] amdgpu: 1024M of VRAM memory ready
[drm] amdgpu: 3072M of GTT memory ready.
i_size_write unimplemented
[drm] GART: num cpu pages 262144, num gpu pages 262144
[drm] PCIE GART of 1024M enabled (table at 0x000000F400800000).
uhub3: 4 ports with 4 removable, self powered
drmn0: successfully loaded firmware image with name: amdgpu/raven_asd.bin
drmn0: successfully loaded firmware image with name: amdgpu/raven_pfp.bin
ugen0.4: <vendor 0x1017 Gaming Keyboard> at usbus0
ukbd0 on uhub3
ukbd0: <vendor 0x1017 Gaming Keyboard, class 0/0, rev 2.00/1.04, addr 3> on usbus0
kbd2 at ukbd0
drmn0: successfully loaded firmware image with name: amdgpu/raven_me.bin
ugen0.5: <Logitech USB Receiver> at usbus0
ukbd1 on uhub3
ukbd1: <Logitech USB Receiver, class 0/0, rev 2.00/12.03, addr 4> on usbus0
drmn0: successfully loaded firmware image with name: amdgpu/raven_ce.bin
kbd3 at ukbd1
drmn0: successfully loaded firmware image with name: amdgpu/raven_rlc.bin
drmn0: successfully loaded firmware image with name: amdgpu/raven_mec.bin
drmn0: successfully loaded firmware image with name: amdgpu/raven_mec2.bin
i_size_write unimplemented
i_size_write unimplemented
i_size_write unimplemented
i_size_write unimplemented
i_size_write unimplemented
i_size_write unimplemented
i_size_write unimplemented
i_size_write unimplemented
i_size_write unimplemented
i_size_write unimplemented
drmn0: successfully loaded firmware image with name: amdgpu/raven_sdma.bin
[drm] use_doorbell being set to: [true]
i_size_write unimplemented
drmn0: successfully loaded firmware image with name: amdgpu/raven_vcn.bin
[drm] Found VCN firmware Version: 1.73 Family ID: 18
i_size_write unimplemented
i_size_write unimplemented
i_size_write unimplemented
[drm:construct] construct: Invalid Connector ObjectID from Adapter Service for connector index:2! type 0 expected 3
[drm] Display Core initialized with v3.1.27!
[drm] Connector HDMI-A-1: get mode from tunables:
[drm]   - kern.vt.fb.modes.HDMI-A-1
[drm]   - kern.vt.fb.default_mode
[drm] SADs count is: 0, don't need to read it
[drm] Connector DVI-D-1: get mode from tunables:
[drm]   - kern.vt.fb.modes.DVI-D-1
[drm]   - kern.vt.fb.default_mode
[drm] Connector DP-1: get mode from tunables:
[drm]   - kern.vt.fb.modes.DP-1
[drm]   - kern.vt.fb.default_mode
[drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[drm] Driver supports precise vblank timestamp query.
[drm] VCN decode and encode initialized successfully.
[drm] fb mappable at 0xE1000000
[drm] vram apper at 0xE0000000
[drm] size 8294400
[drm] fb depth is 24
[drm]    pitch is 7680
VT: Replacing driver "efifb" with new "fb".
start FB_INFO:
type=11 height=1080 width=1920 depth=32
cmsize=16 size=8294400
pbase=0xe1000000 vbase=0xfffff800e1000000
name=drmn0 flags=0x0 stride=7680 bpp=32
cmap[0]=0 cmap[1]=7f0000 cmap[2]=7f00 cmap[3]=c4a000
end FB_INFO
drmn0: fb0: amdgpudrmfb frame buffer device
i_size_write unimplemented
drmn0: ring 0(gfx) uses VM inv eng 4 on hub 0
drmn0: ring 1(comp_1.0.0) uses VM inv eng 5 on hub 0
drmn0: ring 2(comp_1.1.0) uses VM inv eng 6 on hub 0
drmn0: ring 3(comp_1.2.0) uses VM inv eng 7 on hub 0
drmn0: ring 4(comp_1.3.0) uses VM inv eng 8 on hub 0
drmn0: ring 5(comp_1.0.1) uses VM inv eng 9 on hub 0
drmn0: ring 6(comp_1.1.1) uses VM inv eng 10 on hub 0
drmn0: ring 7(comp_1.2.1) uses VM inv eng 11 on hub 0
drmn0: ring 8(comp_1.3.1) uses VM inv eng 12 on hub 0
drmn0: ring 9(kiq_2.1.0) uses VM inv eng 13 on hub 0
drmn0: ring 10(sdma0) uses VM inv eng 4 on hub 1
drmn0: ring 11(vcn_dec) uses VM inv eng 5 on hub 1
drmn0: ring 12(vcn_enc0) uses VM inv eng 6 on hub 1
drmn0: ring 13(vcn_enc1) uses VM inv eng 7 on hub 1
[drm] Initialized amdgpu 3.23.0 20150101 for drmn0 on minor 0
lo0: link state changed to UP
re0: link state changed to DOWN
re0: link state changed to UP
intsmb0: <AMD FCH SMBus Controller> at device 20.0 on pci0
smbus0: <System Management Bus> on intsmb0
uhid0 on uhub3
uhid0: <vendor 0x1017 Gaming Keyboard, class 0/0, rev 2.00/1.04, addr 3> on usbus0
ums0 on uhub3
ums0: <Logitech USB Receiver, class 0/0, rev 2.00/12.03, addr 4> on usbus0
ums0: 16 buttons and [XYZT] coordinates ID=2
uhid1 on uhub3
uhid1: <Logitech USB Receiver, class 0/0, rev 2.00/12.03, addr 4> on usbus0
pflog0: promiscuous mode enabled
Security policy loaded: MAC/ntpd (mac_ntpd)
[drm:generic_reg_wait] REG_WAIT timeout 1us * 10 tries - optc1_lock line:553
WARNING !(0) failed at /usr/ports/graphics/drm-fbsd12.0-kmod/work/kms-drm-d989a80/drivers/gpu/drm/amd/display/dc/dc_helper.c:197
[drm:generic_reg_wait] REG_WAIT timeout 1us * 10 tries - optc1_lock line:553
WARNING !(0) failed at /usr/ports/graphics/drm-fbsd12.0-kmod/work/kms-drm-d989a80/drivers/gpu/drm/amd/display/dc/dc_helper.c:197


/etc/rc.conf.....

ifconfig_re0="DHCP"
ifconfig_re0_ipv6="inet6 accept_rtadv"
sshd_enable="YES"
moused_enable="YES"
ntpd_enable="YES"
ntpd_sync_on_start="YES"
# Set dumpdev to "AUTO" to enable crash dumps, "NO" to disable
dumpdev="AUTO"
kld_list="/boot/modules/amdgpu.ko"
dbus_enable="YES"
postgresql_enable="YES"
linux_enable="YES"
#autofs_enable="YES"
pf_enable="YES"
pf_rules="/etc/pf.conf"
pf_flags=""
pflog_enable="YES"
pflog_logfile="/var/log/pflog"
pflog_flags=""
Comment 11 Niclas Zeising freebsd_committer 2019-07-12 12:49:53 UTC
(In reply to daniel from comment #10)
> In addition to what I've already provided, here's more.  Will provide more
> if requested.
> 


Can you provide Xorg.log.0 as well?

If you don't load any module for the graphics card, does things work with vesa anyway?
Comment 12 daniel 2019-07-12 14:20:25 UTC
(In reply to Niclas Zeising from comment #11)
[   176.565] 
X.Org X Server 1.18.4
Release Date: 2016-07-19
[   176.565] X Protocol Version 11, Revision 0
[   176.565] Build Operating System: FreeBSD 12.0-RELEASE amd64 
[   176.565] Current Operating System: FreeBSD xjupiter-one 12.0-RELEASE-p7 FreeBSD 12.0-RELEASE-p7 GENERIC amd64
[   176.565] Build Date: 19 June 2019  01:31:55AM
[   176.565]  
[   176.565] Current version of pixman: 0.38.4
[   176.565] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[   176.565] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   176.565] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Jul 12 04:10:13 2019
[   176.629] (II) Loader magic: 0x421020
[   176.629] (II) Module ABI versions:
[   176.629] 	X.Org ANSI C Emulation: 0.4
[   176.629] 	X.Org Video Driver: 20.0
[   176.629] 	X.Org XInput driver : 22.1
[   176.629] 	X.Org Server Extension : 9.0
[   176.630] (--) PCI:*(0:7:0:0) 1002:15dd:1458:d000 rev 200, Mem @ 0xe0000000/268435456, 0xf0000000/2097152, 0xfe600000/524288, I/O @ 0x0000e000/256, BIOS @ 0x????????/65536
[   176.630] (==) Using default built-in configuration (39 lines)
[   176.630] (==) --- Start of built-in configuration ---
[   176.630] 	Section "Device"
[   176.630] 		Identifier	"Builtin Default ati Device 0"
[   176.630] 		Driver	"ati"
[   176.630] 	EndSection
[   176.630] 	Section "Screen"
[   176.630] 		Identifier	"Builtin Default ati Screen 0"
[   176.630] 		Device	"Builtin Default ati Device 0"
[   176.630] 	EndSection
[   176.630] 	Section "Device"
[   176.630] 		Identifier	"Builtin Default modesetting Device 0"
[   176.630] 		Driver	"modesetting"
[   176.630] 	EndSection
[   176.630] 	Section "Screen"
[   176.630] 		Identifier	"Builtin Default modesetting Screen 0"
[   176.630] 		Device	"Builtin Default modesetting Device 0"
[   176.630] 	EndSection
[   176.630] 	Section "Device"
[   176.630] 		Identifier	"Builtin Default scfb Device 0"
[   176.630] 		Driver	"scfb"
[   176.630] 	EndSection
[   176.630] 	Section "Screen"
[   176.630] 		Identifier	"Builtin Default scfb Screen 0"
[   176.630] 		Device	"Builtin Default scfb Device 0"
[   176.630] 	EndSection
[   176.630] 	Section "Device"
[   176.630] 		Identifier	"Builtin Default vesa Device 0"
[   176.630] 		Driver	"vesa"
[   176.630] 	EndSection
[   176.630] 	Section "Screen"
[   176.630] 		Identifier	"Builtin Default vesa Screen 0"
[   176.630] 		Device	"Builtin Default vesa Device 0"
[   176.630] 	EndSection
[   176.630] 	Section "ServerLayout"
[   176.630] 		Identifier	"Builtin Default Layout"
[   176.630] 		Screen	"Builtin Default ati Screen 0"
[   176.630] 		Screen	"Builtin Default modesetting Screen 0"
[   176.630] 		Screen	"Builtin Default scfb Screen 0"
[   176.630] 		Screen	"Builtin Default vesa Screen 0"
[   176.630] 	EndSection
[   176.630] (==) --- End of built-in configuration ---
[   176.630] (==) ServerLayout "Builtin Default Layout"
[   176.630] (**) |-->Screen "Builtin Default ati Screen 0" (0)
[   176.630] (**) |   |-->Monitor "<default monitor>"
[   176.630] (**) |   |-->Device "Builtin Default ati Device 0"
[   176.630] (==) No monitor specified for screen "Builtin Default ati Screen 0".
	Using a default monitor configuration.
[   176.630] (**) |-->Screen "Builtin Default modesetting Screen 0" (1)
[   176.630] (**) |   |-->Monitor "<default monitor>"
[   176.630] (**) |   |-->Device "Builtin Default modesetting Device 0"
[   176.630] (==) No monitor specified for screen "Builtin Default modesetting Screen 0".
	Using a default monitor configuration.
[   176.630] (**) |-->Screen "Builtin Default scfb Screen 0" (2)
[   176.630] (**) |   |-->Monitor "<default monitor>"
[   176.630] (**) |   |-->Device "Builtin Default scfb Device 0"
[   176.630] (==) No monitor specified for screen "Builtin Default scfb Screen 0".
	Using a default monitor configuration.
[   176.630] (**) |-->Screen "Builtin Default vesa Screen 0" (3)
[   176.630] (**) |   |-->Monitor "<default monitor>"
[   176.630] (**) |   |-->Device "Builtin Default vesa Device 0"
[   176.630] (==) No monitor specified for screen "Builtin Default vesa Screen 0".
	Using a default monitor configuration.
[   176.630] (==) Automatically adding devices
[   176.630] (==) Automatically enabling devices
[   176.630] (==) Not automatically adding GPU devices
[   176.643] (==) Max clients allowed: 256, resource mask: 0x1fffff
[   176.774] (==) FontPath set to:
	/usr/local/share/fonts/misc/,
	/usr/local/share/fonts/TTF/,
	/usr/local/share/fonts/OTF/,
	/usr/local/share/fonts/Type1/,
	/usr/local/share/fonts/100dpi/,
	/usr/local/share/fonts/75dpi/
[   176.774] (==) ModulePath set to "/usr/local/lib/xorg/modules"
[   176.774] (II) The server relies on devd to provide the list of input devices.
	If no devices become available, reconfigure devd or disable AutoAddDevices.
[   176.774] (II) LoadModule: "glx"
[   176.775] (II) Loading /usr/local/lib/xorg/modules/extensions/libglx.so
[   176.857] (II) Module glx: vendor="X.Org Foundation"
[   176.857] 	compiled for 1.18.4, module version = 1.0.0
[   176.857] 	ABI class: X.Org Server Extension, version 9.0
[   176.857] (==) AIGLX enabled
[   176.857] (II) LoadModule: "ati"
[   176.858] (WW) Warning, couldn't open module ati
[   176.858] (II) UnloadModule: "ati"
[   176.858] (II) Unloading ati
[   176.858] (EE) Failed to load module "ati" (module does not exist, 0)
[   176.858] (II) LoadModule: "modesetting"
[   176.858] (II) Loading /usr/local/lib/xorg/modules/drivers/modesetting_drv.so
[   176.858] (II) Module modesetting: vendor="X.Org Foundation"
[   176.858] 	compiled for 1.18.4, module version = 1.18.4
[   176.858] 	Module class: X.Org Video Driver
[   176.858] 	ABI class: X.Org Video Driver, version 20.0
[   176.858] (II) LoadModule: "scfb"
[   176.858] (II) Loading /usr/local/lib/xorg/modules/drivers/scfb_drv.so
[   176.858] (II) Module scfb: vendor="X.Org Foundation"
[   176.858] 	compiled for 1.18.4, module version = 0.0.4
[   176.858] 	ABI class: X.Org Video Driver, version 20.0
[   176.858] (II) LoadModule: "vesa"
[   176.858] (II) Loading /usr/local/lib/xorg/modules/drivers/vesa_drv.so
[   176.859] (II) Module vesa: vendor="X.Org Foundation"
[   176.859] 	compiled for 1.18.4, module version = 2.4.0
[   176.859] 	Module class: X.Org Video Driver
[   176.859] 	ABI class: X.Org Video Driver, version 20.0
[   176.859] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[   176.859] (II) scfb: driver for wsdisplay framebuffer: scfb
[   176.859] (II) VESA: driver for VESA chipsets: vesa
[   176.859] (--) Using syscons driver with X support (version 2.0)
[   176.859] (--) using VT number 9

[   176.882] (**) modeset(0): claimed PCI slot 7@0:0:0
[   176.882] (II) modeset(0): using default device
[   176.882] (WW) Falling back to old probe method for scfb
[   176.882] scfb trace: probe start
[   176.882] scfb trace: probe done
[   176.882] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[   176.898] (II) modeset(0): Creating default Display subsection in Screen section
	"Builtin Default modesetting Screen 0" for depth/fbbpp 24/32
[   176.898] (==) modeset(0): Depth 24, (==) framebuffer bpp 32
[   176.899] (==) modeset(0): RGB weight 888
[   176.899] (==) modeset(0): Default visual is TrueColor
[   176.899] (II) Loading sub module "glamoregl"
[   176.899] (II) LoadModule: "glamoregl"
[   176.899] (II) Loading /usr/local/lib/xorg/modules/libglamoregl.so
[   177.015] (II) Module glamoregl: vendor="X.Org Foundation"
[   177.015] 	compiled for 1.18.4, module version = 1.0.0
[   177.015] 	ABI class: X.Org ANSI C Emulation, version 0.4
[   177.015] (II) glamor: OpenGL accelerated X.org driver based.
[   178.247] (II) glamor: EGL version 1.5:
[   178.380] (II) modeset(0): glamor initialized
[   178.381] (II) modeset(0): Output HDMI-1 has no monitor section
[   178.382] (II) modeset(0): Output DVI-D-1 has no monitor section
[   178.382] (II) modeset(0): Output DP-1 has no monitor section
[   178.420] (II) modeset(0): EDID for output HDMI-1
[   178.420] (II) modeset(0): Manufacturer: SAM  Model: b27  Serial#: 808605748
[   178.420] (II) modeset(0): Year: 2014  Week: 50
[   178.420] (II) modeset(0): EDID Version: 1.3
[   178.420] (II) modeset(0): Digital Display Input
[   178.420] (II) modeset(0): Max Image Size [cm]: horiz.: 60  vert.: 34
[   178.420] (II) modeset(0): Gamma: 2.20
[   178.420] (II) modeset(0): DPMS capabilities: Off
[   178.420] (II) modeset(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[   178.420] (II) modeset(0): First detailed timing is preferred mode
[   178.420] (II) modeset(0): redX: 0.640 redY: 0.339   greenX: 0.310 greenY: 0.620
[   178.420] (II) modeset(0): blueX: 0.156 blueY: 0.060   whiteX: 0.312 whiteY: 0.329
[   178.420] (II) modeset(0): Supported established timings:
[   178.420] (II) modeset(0): 720x400@70Hz
[   178.420] (II) modeset(0): 640x480@60Hz
[   178.420] (II) modeset(0): 640x480@67Hz
[   178.420] (II) modeset(0): 640x480@72Hz
[   178.420] (II) modeset(0): 640x480@75Hz
[   178.420] (II) modeset(0): 800x600@56Hz
[   178.420] (II) modeset(0): 800x600@60Hz
[   178.420] (II) modeset(0): 800x600@72Hz
[   178.420] (II) modeset(0): 800x600@75Hz
[   178.420] (II) modeset(0): 832x624@75Hz
[   178.420] (II) modeset(0): 1024x768@60Hz
[   178.420] (II) modeset(0): 1024x768@70Hz
[   178.420] (II) modeset(0): 1024x768@75Hz
[   178.420] (II) modeset(0): 1280x1024@75Hz
[   178.420] (II) modeset(0): 1152x864@75Hz
[   178.420] (II) modeset(0): Manufacturer's mask: 0
[   178.420] (II) modeset(0): Supported standard timings:
[   178.420] (II) modeset(0): #0: hsize: 1152  vsize 864  refresh: 75  vid: 20337
[   178.420] (II) modeset(0): #1: hsize: 1280  vsize 720  refresh: 60  vid: 49281
[   178.420] (II) modeset(0): #2: hsize: 1280  vsize 800  refresh: 60  vid: 129
[   178.420] (II) modeset(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
[   178.420] (II) modeset(0): #4: hsize: 1440  vsize 900  refresh: 60  vid: 149
[   178.420] (II) modeset(0): #5: hsize: 1600  vsize 900  refresh: 60  vid: 49321
[   178.420] (II) modeset(0): #6: hsize: 1680  vsize 1050  refresh: 60  vid: 179
[   178.420] (II) modeset(0): Supported detailed timing:
[   178.420] (II) modeset(0): clock: 148.5 MHz   Image Size:  598 x 336 mm
[   178.420] (II) modeset(0): h_active: 1920  h_sync: 2008  h_sync_end 2052 h_blank_end 2200 h_border: 0
[   178.420] (II) modeset(0): v_active: 1080  v_sync: 1084  v_sync_end 1089 v_blanking: 1125 v_border: 0
[   178.439] (II) modeset(0): Supported detailed timing:
[   178.439] (II) modeset(0): clock: 74.2 MHz   Image Size:  598 x 336 mm
[   178.439] (II) modeset(0): h_active: 1280  h_sync: 1390  h_sync_end 1430 h_blank_end 1650 h_border: 0
[   178.439] (II) modeset(0): v_active: 720  v_sync: 725  v_sync_end 730 v_blanking: 750 v_border: 0
[   178.439] (II) modeset(0): Ranges: V min: 50 V max: 75 Hz, H min: 30 H max: 81 kHz, PixClock max 175 MHz
[   178.439] (II) modeset(0): Monitor name: S27D360
[   178.439] (II) modeset(0): Supported detailed timing:
[   178.439] (II) modeset(0): clock: 74.2 MHz   Image Size:  598 x 336 mm
[   178.439] (II) modeset(0): h_active: 1280  h_sync: 1720  h_sync_end 1760 h_blank_end 1980 h_border: 0
[   178.439] (II) modeset(0): v_active: 720  v_sync: 725  v_sync_end 730 v_blanking: 750 v_border: 0
[   178.439] (II) modeset(0): Supported detailed timing:
[   178.439] (II) modeset(0): clock: 27.0 MHz   Image Size:  598 x 336 mm
[   178.439] (II) modeset(0): h_active: 720  h_sync: 732  h_sync_end 796 h_blank_end 864 h_border: 0
[   178.439] (II) modeset(0): v_active: 576  v_sync: 581  v_sync_end 586 v_blanking: 625 v_border: 0
[   178.439] (II) modeset(0): Supported detailed timing:
[   178.439] (II) modeset(0): clock: 27.0 MHz   Image Size:  598 x 336 mm
[   178.439] (II) modeset(0): h_active: 720  h_sync: 736  h_sync_end 798 h_blank_end 858 h_border: 0
[   178.439] (II) modeset(0): v_active: 480  v_sync: 489  v_sync_end 495 v_blanking: 525 v_border: 0
[   178.439] (II) modeset(0): Number of EDID sections to follow: 1
[   178.439] (II) modeset(0): EDID (in hex):
[   178.439] (II) modeset(0): 	00ffffffffffff004c2d270b34583230
[   178.439] (II) modeset(0): 	32180103803c22782af711a3564f9e28
[   178.439] (II) modeset(0): 	0f5054bfef80714f81c0810081809500
[   178.439] (II) modeset(0): 	a9c0b3000101023a801871382d40582c
[   178.439] (II) modeset(0): 	450056502100001e011d007251d01e20
[   178.439] (II) modeset(0): 	6e28550056502100001e000000fd0032
[   178.439] (II) modeset(0): 	4b1e5111000a202020202020000000fc
[   178.439] (II) modeset(0): 	00533237443336300a20202020200117
[   178.439] (II) modeset(0): 	020311b14690041f13031265030c0010
[   178.439] (II) modeset(0): 	00011d00bc52d01e20b8285540565021
[   178.439] (II) modeset(0): 	00001e8c0ad090204031200c40550056
[   178.439] (II) modeset(0): 	50210000188c0ad08a20e02d10103e96
[   178.439] (II) modeset(0): 	00565021000018000000000000000000
[   178.439] (II) modeset(0): 	00000000000000000000000000000000
[   178.439] (II) modeset(0): 	00000000000000000000000000000000
[   178.439] (II) modeset(0): 	000000000000000000000000000000e9
[   178.439] (II) modeset(0): Printing probed modes for output HDMI-1
[   178.439] (II) modeset(0): Modeline "1920x1080"x60.0  148.50  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (67.5 kHz eP)
[   178.439] (II) modeset(0): Modeline "1920x1080"x50.0  148.50  1920 2448 2492 2640  1080 1084 1089 1125 +hsync +vsync (56.2 kHz e)
[   178.439] (II) modeset(0): Modeline "1920x1080"x59.9  148.35  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (67.4 kHz e)
[   178.439] (II) modeset(0): Modeline "1680x1050"x59.9  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz e)
[   178.439] (II) modeset(0): Modeline "1400x1050"x74.8  155.80  1400 1464 1784 1912  1050 1052 1064 1090 +hsync +vsync (81.5 kHz d)
[   178.439] (II) modeset(0): Modeline "1400x1050"x60.0  122.00  1400 1488 1640 1880  1050 1052 1064 1082 +hsync +vsync (64.9 kHz d)
[   178.439] (II) modeset(0): Modeline "1600x900"x60.0  108.00  1600 1624 1704 1800  900 901 904 1000 +hsync +vsync (60.0 kHz e)
[   178.439] (II) modeset(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz e)
[   178.439] (II) modeset(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz e)
[   178.439] (II) modeset(0): Modeline "1440x900"x59.9   88.75  1440 1488 1520 1600  900 903 909 926 +hsync -vsync (55.5 kHz e)
[   178.439] (II) modeset(0): Modeline "1280x960"x60.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz d)
[   178.439] (II) modeset(0): Modeline "1280x800"x59.9   71.00  1280 1328 1360 1440  800 803 809 823 +hsync -vsync (49.3 kHz e)
[   178.439] (II) modeset(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[   178.439] (II) modeset(0): Modeline "1280x720"x60.0   74.25  1280 1390 1430 1650  720 725 730 750 +hsync +vsync (45.0 kHz e)
[   178.439] (II) modeset(0): Modeline "1280x720"x50.0   74.25  1280 1720 1760 1980  720 725 730 750 +hsync +vsync (37.5 kHz e)
[   178.439] (II) modeset(0): Modeline "1280x720"x59.9   74.18  1280 1390 1430 1650  720 725 730 750 +hsync +vsync (45.0 kHz e)
[   178.439] (II) modeset(0): Modeline "1024x768"x75.0  170.24  1024 1108 1220 1416  768 768 770 801 doublescan -hsync +vsync (120.2 kHz d)
[   178.439] (II) modeset(0): Modeline "1024x768"x60.0  133.47  1024 1100 1212 1400  768 768 770 794 doublescan -hsync +vsync (95.3 kHz d)
[   178.439] (II) modeset(0): Modeline "1024x768"x75.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[   178.439] (II) modeset(0): Modeline "1024x768"x70.1   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[   178.439] (II) modeset(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[   178.439] (II) modeset(0): Modeline "960x720"x75.0  148.50  960 1032 1144 1320  720 720 722 750 doublescan -hsync +vsync (112.5 kHz d)
[   178.439] (II) modeset(0): Modeline "960x720"x60.0  117.00  960 1024 1128 1300  720 720 722 750 doublescan -hsync +vsync (90.0 kHz d)
[   178.439] (II) modeset(0): Modeline "928x696"x75.0  144.00  928 992 1104 1280  696 696 698 750 doublescan -hsync +vsync (112.5 kHz d)
[   178.439] (II) modeset(0): Modeline "928x696"x60.1  109.15  928 976 1088 1264  696 696 698 719 doublescan -hsync +vsync (86.4 kHz d)
[   178.439] (II) modeset(0): Modeline "896x672"x75.0  130.50  896 944 1052 1228  672 672 674 708 doublescan -hsync +vsync (106.3 kHz d)
[   178.439] (II) modeset(0): Modeline "896x672"x60.0  102.40  896 960 1060 1224  672 672 674 697 doublescan -hsync +vsync (83.7 kHz d)
[   178.439] (II) modeset(0): Modeline "832x624"x74.6   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[   178.439] (II) modeset(0): Modeline "800x600"x75.0  101.25  800 832 928 1080  600 600 602 625 doublescan +hsync +vsync (93.8 kHz d)
[   178.439] (II) modeset(0): Modeline "800x600"x70.0   94.50  800 832 928 1080  600 600 602 625 doublescan +hsync +vsync (87.5 kHz d)
[   178.439] (II) modeset(0): Modeline "800x600"x65.0   87.75  800 832 928 1080  600 600 602 625 doublescan +hsync +vsync (81.2 kHz d)
[   178.439] (II) modeset(0): Modeline "800x600"x60.0   81.00  800 832 928 1080  600 600 602 625 doublescan +hsync +vsync (75.0 kHz d)
[   178.439] (II) modeset(0): Modeline "800x600"x72.2   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[   178.439] (II) modeset(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[   178.439] (II) modeset(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[   178.439] (II) modeset(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[   178.439] (II) modeset(0): Modeline "720x576"x50.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[   178.439] (II) modeset(0): Modeline "700x525"x74.8   77.90  700 732 892 956  525 526 532 545 doublescan +hsync +vsync (81.5 kHz d)
[   178.439] (II) modeset(0): Modeline "700x525"x60.0   61.00  700 744 820 940  525 526 532 541 doublescan +hsync +vsync (64.9 kHz d)
[   178.439] (II) modeset(0): Modeline "720x480"x60.0   27.03  720 736 798 858  480 489 495 525 -hsync -vsync (31.5 kHz e)
[   178.439] (II) modeset(0): Modeline "720x480"x59.9   27.00  720 736 798 858  480 489 495 525 -hsync -vsync (31.5 kHz e)
[   178.439] (II) modeset(0): Modeline "640x512"x75.0   67.50  640 648 720 844  512 512 514 533 doublescan +hsync +vsync (80.0 kHz d)
[   178.440] (II) modeset(0): Modeline "640x512"x60.0   54.00  640 664 720 844  512 512 514 533 doublescan +hsync +vsync (64.0 kHz d)
[   178.440] (II) modeset(0): Modeline "640x480"x60.0   54.00  640 688 744 900  480 480 482 500 doublescan +hsync +vsync (60.0 kHz d)
[   178.440] (II) modeset(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[   178.440] (II) modeset(0): Modeline "640x480"x72.8   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[   178.440] (II) modeset(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz d)
[   178.440] (II) modeset(0): Modeline "640x480"x66.7   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[   178.440] (II) modeset(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[   178.440] (II) modeset(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[   178.440] (II) modeset(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[   178.440] (II) modeset(0): Modeline "576x432"x75.0   54.00  576 608 672 800  432 432 434 450 doublescan +hsync +vsync (67.5 kHz d)
[   178.440] (II) modeset(0): Modeline "512x384"x75.0   39.38  512 520 568 656  384 384 386 400 doublescan +hsync +vsync (60.0 kHz d)
[   178.440] (II) modeset(0): Modeline "512x384"x70.1   37.50  512 524 592 664  384 385 388 403 doublescan -hsync -vsync (56.5 kHz d)
[   178.440] (II) modeset(0): Modeline "512x384"x60.0   32.50  512 524 592 672  384 385 388 403 doublescan -hsync -vsync (48.4 kHz d)
[   178.440] (II) modeset(0): Modeline "416x312"x74.7   28.64  416 432 464 576  312 312 314 333 doublescan -hsync -vsync (49.7 kHz d)
[   178.440] (II) modeset(0): Modeline "400x300"x72.2   25.00  400 428 488 520  300 318 321 333 doublescan +hsync +vsync (48.1 kHz d)
[   178.440] (II) modeset(0): Modeline "400x300"x75.1   24.75  400 408 448 528  300 300 302 312 doublescan +hsync +vsync (46.9 kHz d)
[   178.440] (II) modeset(0): Modeline "400x300"x60.3   20.00  400 420 484 528  300 300 302 314 doublescan +hsync +vsync (37.9 kHz d)
[   178.440] (II) modeset(0): Modeline "400x300"x56.3   18.00  400 412 448 512  300 300 301 312 doublescan +hsync +vsync (35.2 kHz d)
[   178.440] (II) modeset(0): Modeline "320x240"x72.8   15.75  320 332 352 416  240 244 246 260 doublescan -hsync -vsync (37.9 kHz d)
[   178.440] (II) modeset(0): Modeline "320x240"x75.0   15.75  320 328 360 420  240 240 242 250 doublescan -hsync -vsync (37.5 kHz d)
[   178.440] (II) modeset(0): Modeline "320x240"x60.1   12.59  320 328 376 400  240 245 246 262 doublescan -hsync -vsync (31.5 kHz d)
[   178.440] (II) modeset(0): EDID for output DVI-D-1
[   178.440] (II) modeset(0): EDID for output DP-1
[   178.440] (II) modeset(0): Output HDMI-1 connected
[   178.440] (II) modeset(0): Output DVI-D-1 disconnected
[   178.440] (II) modeset(0): Output DP-1 disconnected
[   178.440] (II) modeset(0): Using exact sizes for initial modes
[   178.440] (II) modeset(0): Output HDMI-1 using initial mode 1920x1080 +0+0
[   178.440] (II) modeset(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[   178.440] (==) modeset(0): DPI set to (96, 96)
[   178.440] (II) Loading sub module "fb"
[   178.440] (II) LoadModule: "fb"
[   178.440] (II) Loading /usr/local/lib/xorg/modules/libfb.so
[   178.483] (II) Module fb: vendor="X.Org Foundation"
[   178.483] 	compiled for 1.18.4, module version = 1.0.0
[   178.483] 	ABI class: X.Org ANSI C Emulation, version 0.4
[   178.483] (II) UnloadModule: "scfb"
[   178.483] (II) Unloading scfb
[   178.483] (II) UnloadModule: "vesa"
[   178.483] (II) Unloading vesa
[   178.483] (==) Depth 24 pixmap format is 32 bpp
[   178.692] (==) modeset(0): Backing store enabled
[   178.692] (==) modeset(0): Silken mouse enabled
[   178.693] (II) modeset(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[   178.714] (==) modeset(0): DPMS enabled
[   178.715] (EE) modeset(0): [DRI2] No driver mapping found for PCI device 0x1002 / 0x15dd
[   178.715] (EE) modeset(0): Failed to initialize the DRI2 extension.
[   178.748] (--) RandR disabled
[   178.764] (II) AIGLX: Screen 0 is not DRI2 capable
[   178.764] (EE) AIGLX: reverting to software rendering
[   178.804] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
[   178.804] (II) AIGLX: Loaded and initialized swrast
[   178.804] (II) GLX: Initialized DRISWRAST GL provider for screen 0
[   178.878] (II) modeset(0): Setting screen physical size to 508 x 285
[   179.239] (II) config/devd: probing input devices...
[   179.239] (II) config/devd: adding input device (null) (/dev/kbdmux)
[   179.239] (II) LoadModule: "kbd"
[   179.239] (II) Loading /usr/local/lib/xorg/modules/input/kbd_drv.so
[   179.249] (II) Module kbd: vendor="X.Org Foundation"
[   179.249] 	compiled for 1.18.4, module version = 1.9.0
[   179.249] 	Module class: X.Org XInput Driver
[   179.249] 	ABI class: X.Org XInput driver, version 22.1
[   179.249] (II) Using input driver 'kbd' for 'kbdmux'
[   179.249] (**) kbdmux: always reports core events
[   179.249] (**) kbdmux: always reports core events
[   179.249] (**) Option "Protocol" "standard"
[   179.249] (**) Option "XkbRules" "base"
[   179.249] (**) Option "XkbModel" "pc105"
[   179.249] (**) Option "XkbLayout" "us"
[   179.249] (**) Option "config_info" "devd:kbdmux"
[   179.249] (II) XINPUT: Adding extended input device "kbdmux" (type: KEYBOARD, id 6)
[   179.249] (II) config/devd: kbdmux is enabled, ignoring device ukbd0
[   179.250] (II) config/devd: kbdmux is enabled, ignoring device ukbd1
[   179.250] (II) config/devd: kbdmux is enabled, ignoring device atkbd0
[   179.250] (II) config/devd: adding input device (null) (/dev/sysmouse)
[   179.250] (II) LoadModule: "mouse"
[   179.250] (II) Loading /usr/local/lib/xorg/modules/input/mouse_drv.so
[   179.262] (II) Module mouse: vendor="X.Org Foundation"
[   179.262] 	compiled for 1.18.4, module version = 1.9.3
[   179.262] 	Module class: X.Org XInput Driver
[   179.262] 	ABI class: X.Org XInput driver, version 22.1
[   179.262] (II) Using input driver 'mouse' for 'sysmouse'
[   179.262] (**) sysmouse: always reports core events
[   179.262] (**) Option "Device" "/dev/sysmouse"
[   179.262] (==) sysmouse: Protocol: "Auto"
[   179.262] (**) sysmouse: always reports core events
[   179.262] (==) sysmouse: Emulate3Buttons, Emulate3Timeout: 50
[   179.262] (**) sysmouse: ZAxisMapping: buttons 4 and 5
[   179.262] (**) sysmouse: Buttons: 5
[   179.262] (**) Option "config_info" "devd:sysmouse"
[   179.263] (II) XINPUT: Adding extended input device "sysmouse" (type: MOUSE, id 7)
[   179.263] (**) sysmouse: (accel) keeping acceleration scheme 1
[   179.263] (**) sysmouse: (accel) acceleration profile 0
[   179.263] (**) sysmouse: (accel) acceleration factor: 2.000
[   179.263] (**) sysmouse: (accel) acceleration threshold: 4
[   179.263] (II) sysmouse: SetupAuto: hw.iftype is 4, hw.model is 0
[   179.263] (II) sysmouse: SetupAuto: protocol is SysMouse
[   179.263] (II) config/devd: device /dev/ums0 already opened
[   182.073] (II) modeset(0): EDID vendor "SAM", prod id 2855
[   182.073] (II) modeset(0): Using EDID range info for horizontal sync
[   182.073] (II) modeset(0): Using EDID range info for vertical refresh
[   182.073] (II) modeset(0): Printing DDC gathered Modelines:
[   182.073] (II) modeset(0): Modeline "1920x1080"x0.0  148.50  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (67.5 kHz eP)
[   182.073] (II) modeset(0): Modeline "1280x720"x0.0   74.25  1280 1390 1430 1650  720 725 730 750 +hsync +vsync (45.0 kHz e)
[   182.073] (II) modeset(0): Modeline "1280x720"x0.0   74.25  1280 1720 1760 1980  720 725 730 750 +hsync +vsync (37.5 kHz e)
[   182.073] (II) modeset(0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[   182.073] (II) modeset(0): Modeline "720x480"x0.0   27.00  720 736 798 858  480 489 495 525 -hsync -vsync (31.5 kHz e)
[   182.073] (II) modeset(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[   182.073] (II) modeset(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[   182.073] (II) modeset(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[   182.073] (II) modeset(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[   182.073] (II) modeset(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[   182.073] (II) modeset(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[   182.074] (II) modeset(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[   182.074] (II) modeset(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz e)
[   182.074] (II) modeset(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[   182.074] (II) modeset(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[   182.074] (II) modeset(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[   182.074] (II) modeset(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[   182.074] (II) modeset(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[   182.074] (II) modeset(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[   182.074] (II) modeset(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[   182.074] (II) modeset(0): Modeline "1280x720"x60.0   74.48  1280 1336 1472 1664  720 721 724 746 -hsync +vsync (44.8 kHz e)
[   182.074] (II) modeset(0): Modeline "1280x800"x0.0   71.00  1280 1328 1360 1440  800 803 809 823 +hsync -vsync (49.3 kHz e)
[   182.074] (II) modeset(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz e)
[   182.074] (II) modeset(0): Modeline "1440x900"x0.0   88.75  1440 1488 1520 1600  900 903 909 926 +hsync -vsync (55.5 kHz e)
[   182.074] (II) modeset(0): Modeline "1600x900"x60.0  119.00  1600 1696 1864 2128  900 901 904 932 -hsync +vsync (55.9 kHz e)
[   182.074] (II) modeset(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz e)
[   182.074] (II) modeset(0): Modeline "1920x1080i"x0.0   74.25  1920 2008 2052 2200  1080 1084 1094 1125 interlace +hsync +vsync (33.8 kHz e)
[   182.074] (II) modeset(0): Modeline "1920x1080"x0.0   74.25  1920 2558 2602 2750  1080 1084 1089 1125 +hsync +vsync (27.0 kHz e)
[   182.074] (II) modeset(0): Modeline "1920x1080i"x0.0   74.25  1920 2448 2492 2640  1080 1084 1094 1125 interlace +hsync +vsync (28.1 kHz e)


re: loading module, see cwARSw6 post here:https://forums.freebsd.org/threads/console-hangs-with-amd-vega-graphics.71347/#post-432576
Comment 13 Niclas Zeising freebsd_committer 2019-07-12 15:30:01 UTC
(In reply to daniel from comment #12)

It looks like it's not using VESA, rather using either the amdgpu driver or something on the framebuffer.  It's using the modesetting xorg driver at least.  perhaps this is the difference between your config, and the original PR submitter's config.

Can you provide output from glxinfo as well?
Thanks!
Comment 14 daniel 2019-07-12 17:29:44 UTC
(In reply to Niclas Zeising from comment #13)
my reply was rejected, too many lines so, will send in at least 2 parts.  Here's the first:

name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_fbconfig_float, GLX_ARB_framebuffer_sRGB, GLX_ARB_multisample, 
    GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile, 
    GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, GLX_OML_swap_method, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_SGI_make_current_read
client glx vendor string: Mesa Project and SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_context_flush_control, GLX_ARB_create_context, 
    GLX_ARB_create_context_profile, GLX_ARB_create_context_robustness, 
    GLX_ARB_fbconfig_float, GLX_ARB_framebuffer_sRGB, 
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_buffer_age, 
    GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile, 
    GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer, 
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_SGI_make_current_read, 
    GLX_SGI_swap_control, GLX_SGI_video_sync
GLX version: 1.4
GLX extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_fbconfig_float, GLX_ARB_framebuffer_sRGB, 
    GLX_ARB_get_proc_address, GLX_ARB_multisample, 
    GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile, 
    GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, GLX_MESA_query_renderer, 
    GLX_OML_swap_method, GLX_SGIS_multisample, GLX_SGIX_fbconfig, 
    GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, GLX_SGI_make_current_read
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: VMware, Inc. (0xffffffff)
    Device: llvmpipe (LLVM 8.0, 128 bits) (0xffffffff)
    Version: 18.3.2
    Accelerated: no
    Video memory: 16384MB
    Unified memory: no
    Preferred profile: core (0x1)
    Max core profile version: 3.3
    Max compat profile version: 3.1
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.0
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: llvmpipe (LLVM 8.0, 128 bits)
OpenGL core profile version string: 3.3 (Core Profile) Mesa 18.3.2
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
    GL_AMD_conservative_depth, GL_AMD_draw_buffers_blend, 
    GL_AMD_gpu_shader_int64, GL_AMD_multi_draw_indirect, 
    GL_AMD_seamless_cubemap_per_texture, GL_AMD_shader_stencil_export, 
    GL_AMD_shader_trinary_minmax, GL_AMD_vertex_shader_layer, 
    GL_AMD_vertex_shader_viewport_index, GL_ANGLE_texture_compression_dxt3, 
    GL_ANGLE_texture_compression_dxt5, GL_ARB_ES2_compatibility, 
    GL_ARB_ES3_compatibility, GL_ARB_arrays_of_arrays, GL_ARB_base_instance, 
    GL_ARB_blend_func_extended, GL_ARB_buffer_storage, 
    GL_ARB_clear_buffer_object, GL_ARB_clear_texture, GL_ARB_clip_control, 
    GL_ARB_compressed_texture_pixel_storage, 
    GL_ARB_conditional_render_inverted, GL_ARB_conservative_depth, 
    GL_ARB_copy_buffer, GL_ARB_copy_image, GL_ARB_cull_distance, 
    GL_ARB_debug_output, GL_ARB_depth_buffer_float, GL_ARB_depth_clamp, 
    GL_ARB_direct_state_access, GL_ARB_draw_buffers, 
    GL_ARB_draw_buffers_blend, GL_ARB_draw_elements_base_vertex, 
    GL_ARB_draw_indirect, GL_ARB_draw_instanced, GL_ARB_enhanced_layouts, 
    GL_ARB_explicit_attrib_location, GL_ARB_explicit_uniform_location, 
    GL_ARB_fragment_coord_conventions, GL_ARB_fragment_layer_viewport, 
    GL_ARB_fragment_shader, GL_ARB_framebuffer_object, 
    GL_ARB_framebuffer_sRGB, GL_ARB_get_program_binary, 
    GL_ARB_get_texture_sub_image, GL_ARB_gpu_shader_fp64, 
    GL_ARB_gpu_shader_int64, GL_ARB_half_float_pixel, 
    GL_ARB_half_float_vertex, GL_ARB_instanced_arrays, 
    GL_ARB_internalformat_query, GL_ARB_internalformat_query2, 
    GL_ARB_invalidate_subdata, GL_ARB_map_buffer_alignment, 
    GL_ARB_map_buffer_range, GL_ARB_multi_bind, GL_ARB_multi_draw_indirect, 
    GL_ARB_occlusion_query2, GL_ARB_pipeline_statistics_query, 
    GL_ARB_pixel_buffer_object, GL_ARB_point_sprite, 
    GL_ARB_polygon_offset_clamp, GL_ARB_program_interface_query, 
    GL_ARB_provoking_vertex, GL_ARB_robustness, GL_ARB_sampler_objects, 
    GL_ARB_seamless_cube_map, GL_ARB_seamless_cubemap_per_texture, 
    GL_ARB_separate_shader_objects, GL_ARB_shader_bit_encoding, 
    GL_ARB_shader_objects, GL_ARB_shader_stencil_export, 
    GL_ARB_shader_subroutine, GL_ARB_shader_texture_lod, 
    GL_ARB_shading_language_420pack, GL_ARB_shading_language_packing, 
    GL_ARB_stencil_texturing, GL_ARB_sync, GL_ARB_texture_buffer_object, 
    GL_ARB_texture_buffer_object_rgb32, GL_ARB_texture_buffer_range, 
    GL_ARB_texture_compression_bptc, GL_ARB_texture_compression_rgtc, 
    GL_ARB_texture_cube_map_array, GL_ARB_texture_float, 
    GL_ARB_texture_gather, GL_ARB_texture_mirror_clamp_to_edge, 
    GL_ARB_texture_multisample, GL_ARB_texture_non_power_of_two, 
    GL_ARB_texture_query_levels, GL_ARB_texture_query_lod, 
    GL_ARB_texture_rectangle, GL_ARB_texture_rg, GL_ARB_texture_rgb10_a2ui, 
    GL_ARB_texture_stencil8, GL_ARB_texture_storage, 
    GL_ARB_texture_storage_multisample, GL_ARB_texture_swizzle, 
    GL_ARB_texture_view, GL_ARB_timer_query, GL_ARB_transform_feedback2, 
    GL_ARB_transform_feedback3, GL_ARB_transform_feedback_instanced, 
    GL_ARB_transform_feedback_overflow_query, GL_ARB_uniform_buffer_object, 
    GL_ARB_vertex_array_bgra, GL_ARB_vertex_array_object, 
    GL_ARB_vertex_attrib_64bit, GL_ARB_vertex_attrib_binding, 
    GL_ARB_vertex_buffer_object, GL_ARB_vertex_shader, 
    GL_ARB_vertex_type_10f_11f_11f_rev, GL_ARB_vertex_type_2_10_10_10_rev, 
    GL_ARB_viewport_array, GL_ATI_blend_equation_separate, 
    GL_ATI_texture_float, GL_ATI_texture_mirror_once, GL_EXT_abgr, 
    GL_EXT_blend_equation_separate, GL_EXT_draw_buffers2, 
    GL_EXT_draw_instanced, GL_EXT_framebuffer_blit, 
    GL_EXT_framebuffer_multisample, GL_EXT_framebuffer_multisample_blit_scaled, 
    GL_EXT_framebuffer_object, GL_EXT_framebuffer_sRGB, 
    GL_EXT_packed_depth_stencil, GL_EXT_packed_float, 
    GL_EXT_pixel_buffer_object, GL_EXT_polygon_offset_clamp, 
    GL_EXT_provoking_vertex, GL_EXT_shader_integer_mix, GL_EXT_texture_array, 
    GL_EXT_texture_compression_dxt1, GL_EXT_texture_compression_rgtc, 
    GL_EXT_texture_compression_s3tc, GL_EXT_texture_integer, 
    GL_EXT_texture_mirror_clamp, GL_EXT_texture_sRGB, 
    GL_EXT_texture_sRGB_decode, GL_EXT_texture_shared_exponent, 
    GL_EXT_texture_snorm, GL_EXT_texture_swizzle, GL_EXT_timer_query, 
    GL_EXT_transform_feedback, GL_EXT_vertex_array_bgra, 
    GL_EXT_vertex_attrib_64bit, GL_IBM_multimode_draw_arrays, 
    GL_KHR_context_flush_control, GL_KHR_debug, GL_KHR_no_error, 
    GL_KHR_texture_compression_astc_ldr, 
    GL_KHR_texture_compression_astc_sliced_3d, GL_MESA_pack_invert, 
    GL_MESA_shader_integer_functions, GL_MESA_texture_signed_rgba, 
    GL_MESA_ycbcr_texture, GL_NV_conditional_render, GL_NV_depth_clamp, 
    GL_NV_packed_depth_stencil, GL_OES_EGL_image, GL_S3_s3tc

OpenGL version string: 3.1 Mesa 18.3.2
OpenGL shading language version string: 1.40
OpenGL context flags: (none)
OpenGL extensions:
    GL_AMD_conservative_depth, GL_AMD_draw_buffers_blend, 
    GL_AMD_multi_draw_indirect, GL_AMD_seamless_cubemap_per_texture, 
    GL_AMD_shader_stencil_export, GL_AMD_shader_trinary_minmax, 
    GL_ANGLE_texture_compression_dxt3, GL_ANGLE_texture_compression_dxt5, 
    GL_APPLE_packed_pixels, GL_ARB_ES2_compatibility, 
    GL_ARB_ES3_compatibility, GL_ARB_arrays_of_arrays, GL_ARB_base_instance, 
    GL_ARB_blend_func_extended, GL_ARB_buffer_storage, 
    GL_ARB_clear_buffer_object, GL_ARB_clear_texture, GL_ARB_clip_control, 
    GL_ARB_color_buffer_float, GL_ARB_compatibility, 
    GL_ARB_compressed_texture_pixel_storage, 
    GL_ARB_conditional_render_inverted, GL_ARB_conservative_depth, 
    GL_ARB_copy_buffer, GL_ARB_copy_image, GL_ARB_cull_distance, 
    GL_ARB_debug_output, GL_ARB_depth_buffer_float, GL_ARB_depth_clamp, 
    GL_ARB_depth_texture, GL_ARB_direct_state_access, GL_ARB_draw_buffers, 
    GL_ARB_draw_buffers_blend, GL_ARB_draw_elements_base_vertex, 
    GL_ARB_draw_indirect, GL_ARB_draw_instanced, GL_ARB_enhanced_layouts, 
    GL_ARB_explicit_attrib_location, GL_ARB_explicit_uniform_location, 
    GL_ARB_fragment_coord_conventions, GL_ARB_fragment_layer_viewport, 
    GL_ARB_fragment_program, GL_ARB_fragment_program_shadow, 
    GL_ARB_fragment_shader, GL_ARB_framebuffer_object, 
    GL_ARB_framebuffer_sRGB, GL_ARB_get_program_binary, 
    GL_ARB_get_texture_sub_image, GL_ARB_half_float_pixel, 
    GL_ARB_half_float_vertex, GL_ARB_instanced_arrays, 
    GL_ARB_internalformat_query, GL_ARB_internalformat_query2, 
    GL_ARB_invalidate_subdata, GL_ARB_map_buffer_alignment, 
    GL_ARB_map_buffer_range, GL_ARB_multi_bind, GL_ARB_multi_draw_indirect, 
    GL_ARB_multisample, GL_ARB_multitexture, GL_ARB_occlusion_query, 
    GL_ARB_occlusion_query2, GL_ARB_pipeline_statistics_query, 
    GL_ARB_pixel_buffer_object, GL_ARB_point_parameters, GL_ARB_point_sprite, 
    GL_ARB_polygon_offset_clamp, GL_ARB_program_interface_query, 
    GL_ARB_provoking_vertex, GL_ARB_robustness, GL_ARB_sampler_objects, 
    GL_ARB_seamless_cube_map, GL_ARB_seamless_cubemap_per_texture, 
    GL_ARB_separate_shader_objects, GL_ARB_shader_bit_encoding, 
    GL_ARB_shader_objects, GL_ARB_shader_stencil_export, 
    GL_ARB_shader_subroutine, GL_ARB_shader_texture_lod, 
    GL_ARB_shading_language_100, GL_ARB_shading_language_420pack, 
    GL_ARB_shading_language_packing, GL_ARB_shadow, GL_ARB_stencil_texturing, 
    GL_ARB_sync, GL_ARB_texture_border_clamp, GL_ARB_texture_buffer_object, 
    GL_ARB_texture_buffer_object_rgb32, GL_ARB_texture_buffer_range, 
    GL_ARB_texture_compression, GL_ARB_texture_compression_bptc, 
    GL_ARB_texture_compression_rgtc, GL_ARB_texture_cube_map, 
    GL_ARB_texture_cube_map_array, GL_ARB_texture_env_add, 
    GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, 
    GL_ARB_texture_env_dot3, GL_ARB_texture_float, GL_ARB_texture_gather, 
    GL_ARB_texture_mirror_clamp_to_edge, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_multisample, GL_ARB_texture_non_power_of_two, 
    GL_ARB_texture_query_levels, GL_ARB_texture_query_lod, 
    GL_ARB_texture_rectangle, GL_ARB_texture_rg, GL_ARB_texture_rgb10_a2ui, 
    GL_ARB_texture_stencil8, GL_ARB_texture_storage, 
    GL_ARB_texture_storage_multisample, GL_ARB_texture_swizzle, 
    GL_ARB_texture_view, GL_ARB_timer_query, GL_ARB_transform_feedback2, 
    GL_ARB_transform_feedback3, GL_ARB_transform_feedback_instanced, 
    GL_ARB_transform_feedback_overflow_query, GL_ARB_transpose_matrix, 
    GL_ARB_uniform_buffer_object, GL_ARB_vertex_array_bgra, 
    GL_ARB_vertex_array_object, GL_ARB_vertex_attrib_binding, 
    GL_ARB_vertex_buffer_object, GL_ARB_vertex_program, GL_ARB_vertex_shader, 
    GL_ARB_vertex_type_10f_11f_11f_rev, GL_ARB_vertex_type_2_10_10_10_rev, 
    GL_ARB_viewport_array, GL_ARB_window_pos, GL_ATI_blend_equation_separate, 
    GL_ATI_draw_buffers, GL_ATI_fragment_shader, GL_ATI_separate_stencil, 
    GL_ATI_texture_compression_3dc, GL_ATI_texture_env_combine3, 
    GL_ATI_texture_float, GL_ATI_texture_mirror_once, GL_EXT_abgr, 
    GL_EXT_bgra, GL_EXT_blend_color, GL_EXT_blend_equation_separate, 
    GL_EXT_blend_func_separate, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
    GL_EXT_compiled_vertex_array, GL_EXT_copy_texture, GL_EXT_draw_buffers2, 
    GL_EXT_draw_instanced, GL_EXT_draw_range_elements, GL_EXT_fog_coord, 
    GL_EXT_framebuffer_blit, GL_EXT_framebuffer_multisample, 
    GL_EXT_framebuffer_multisample_blit_scaled, GL_EXT_framebuffer_object, 
    GL_EXT_framebuffer_sRGB, GL_EXT_gpu_program_parameters, 
    GL_EXT_multi_draw_arrays, GL_EXT_packed_depth_stencil, 
    GL_EXT_packed_float, GL_EXT_packed_pixels, GL_EXT_pixel_buffer_object, 
    GL_EXT_point_parameters, GL_EXT_polygon_offset_clamp, 
    GL_EXT_provoking_vertex, GL_EXT_rescale_normal, GL_EXT_secondary_color, 
    GL_EXT_separate_specular_color, GL_EXT_shader_integer_mix, 
    GL_EXT_shadow_funcs, GL_EXT_stencil_two_side, GL_EXT_stencil_wrap, 
    GL_EXT_subtexture, GL_EXT_texture, GL_EXT_texture3D, 
    GL_EXT_texture_array, GL_EXT_texture_compression_dxt1, 
    GL_EXT_texture_compression_latc, GL_EXT_texture_compression_rgtc, 
    GL_EXT_texture_compression_s3tc, GL_EXT_texture_cube_map, 
    GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add, 
    GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, 
    GL_EXT_texture_integer, GL_EXT_texture_lod_bias, 
    GL_EXT_texture_mirror_clamp, GL_EXT_texture_object, 
    GL_EXT_texture_rectangle, GL_EXT_texture_sRGB, GL_EXT_texture_sRGB_decode, 
    GL_EXT_texture_shared_exponent, GL_EXT_texture_snorm, 
    GL_EXT_texture_swizzle, GL_EXT_timer_query, GL_EXT_transform_feedback, 
    GL_EXT_vertex_array, GL_EXT_vertex_array_bgra, 
    GL_IBM_multimode_draw_arrays, GL_IBM_rasterpos_clip, 
    GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
    GL_KHR_context_flush_control, GL_KHR_debug, GL_KHR_no_error, 
    GL_KHR_texture_compression_astc_ldr, 
    GL_KHR_texture_compression_astc_sliced_3d, GL_MESA_pack_invert, 
    GL_MESA_shader_integer_functions, GL_MESA_texture_signed_rgba, 
    GL_MESA_window_pos, GL_MESA_ycbcr_texture, GL_NV_blend_square, 
    GL_NV_conditional_render, GL_NV_depth_clamp, GL_NV_fog_distance, 
    GL_NV_light_max_exponent, GL_NV_packed_depth_stencil, 
    GL_NV_primitive_restart, GL_NV_texgen_reflection, 
    GL_NV_texture_env_combine4, GL_NV_texture_rectangle, GL_OES_EGL_image, 
    GL_OES_read_format, GL_S3_s3tc, GL_SGIS_generate_mipmap, 
    GL_SGIS_texture_border_clamp, GL_SGIS_texture_edge_clamp, 
    GL_SGIS_texture_lod, GL_SUN_multi_draw_arrays
Comment 15 daniel 2019-07-12 17:31:17 UTC
(In reply to daniel from comment #14)

And, here is part 2:

OpenGL ES profile version string: OpenGL ES 3.0 Mesa 18.3.2
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions:
    GL_ANGLE_texture_compression_dxt3, GL_ANGLE_texture_compression_dxt5, 
    GL_APPLE_texture_max_level, GL_EXT_base_instance, 
    GL_EXT_blend_func_extended, GL_EXT_blend_minmax, 
    GL_EXT_clip_cull_distance, GL_EXT_color_buffer_float, 
    GL_EXT_compressed_ETC1_RGB8_sub_texture, GL_EXT_copy_image, 
    GL_EXT_discard_framebuffer, GL_EXT_disjoint_timer_query, 
    GL_EXT_draw_buffers, GL_EXT_draw_buffers_indexed, 
    GL_EXT_draw_elements_base_vertex, GL_EXT_frag_depth, 
    GL_EXT_map_buffer_range, GL_EXT_multi_draw_arrays, 
    GL_EXT_occlusion_query_boolean, GL_EXT_polygon_offset_clamp, 
    GL_EXT_read_format_bgra, GL_EXT_separate_shader_objects, 
    GL_EXT_shader_integer_mix, GL_EXT_texture_border_clamp, 
    GL_EXT_texture_compression_dxt1, GL_EXT_texture_compression_s3tc, 
    GL_EXT_texture_format_BGRA8888, GL_EXT_texture_rg, 
    GL_EXT_texture_sRGB_decode, GL_EXT_texture_type_2_10_10_10_REV, 
    GL_EXT_unpack_subimage, GL_KHR_context_flush_control, GL_KHR_debug, 
    GL_KHR_no_error, GL_KHR_texture_compression_astc_ldr, 
    GL_KHR_texture_compression_astc_sliced_3d, 
    GL_MESA_shader_integer_functions, GL_NV_draw_buffers, 
    GL_NV_fbo_color_attachments, GL_NV_read_buffer, GL_NV_read_depth, 
    GL_NV_read_depth_stencil, GL_NV_read_stencil, GL_OES_EGL_image, 
    GL_OES_EGL_image_external, GL_OES_EGL_image_external_essl3, 
    GL_OES_EGL_sync, GL_OES_compressed_ETC1_RGB8_texture, GL_OES_copy_image, 
    GL_OES_depth24, GL_OES_depth_texture, GL_OES_depth_texture_cube_map, 
    GL_OES_draw_buffers_indexed, GL_OES_draw_elements_base_vertex, 
    GL_OES_element_index_uint, GL_OES_fbo_render_mipmap, 
    GL_OES_get_program_binary, GL_OES_mapbuffer, GL_OES_packed_depth_stencil, 
    GL_OES_required_internalformat, GL_OES_rgb8_rgba8, 
    GL_OES_standard_derivatives, GL_OES_stencil8, GL_OES_surfaceless_context, 
    GL_OES_texture_3D, GL_OES_texture_border_clamp, GL_OES_texture_float, 
    GL_OES_texture_float_linear, GL_OES_texture_half_float, 
    GL_OES_texture_half_float_linear, GL_OES_texture_npot, 
    GL_OES_texture_stencil8, GL_OES_vertex_array_object, 
    GL_OES_vertex_half_float

240 GLX Visuals
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x021 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x022 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x2b5 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x2b6 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x2b7 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x2b8 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x2b9 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x2ba 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x2bb 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x2bc 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x2bd 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x2be 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x2bf 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x2c0 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x2c1 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x2c2 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x2c3 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x2c4 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x2c5 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x2c6 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x2c7 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x2c8 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x2c9 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x2ca 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x2cb 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x2cc 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x2cd 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x2ce 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x2cf 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x2d0 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x2d1 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x2d2 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x2d3 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x2d4 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x2d5 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x2d6 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x2d7 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x2d8 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x2d9 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x2da 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x2db 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x2dc 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x2dd 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x2de 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x2df 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x2e0 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x2e1 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x2e2 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x2e3 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x2e4 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x2e5 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x2e6 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x2e7 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x2e8 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x2e9 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x2ea 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x2eb 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x2ec 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x2ed 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x2ee 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x2ef 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0  0  0  0  0  0  0  0 0 None
0x2f0 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0  0  0 16 16 16 16  0 0 Slow
0x2f1 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0  0  0  0  0  0 0 None
0x2f2 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0 16 16 16 16  0 0 Slow
0x2f3 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0  0  0  0  0  0 0 None
0x2f4 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0 16 16 16 16  0 0 Slow
0x2f5 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 16  0  0  0  0  0  0 0 None
0x2f6 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 16  0 16 16 16 16  0 0 Slow
0x2f7 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0  0  0  0  0  0 0 None
0x2f8 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0 16 16 16 16  0 0 Slow
0x2f9 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0  0  0  0  0  0 0 None
0x2fa 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0 16 16 16 16  0 0 Slow
0x2fb 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 24  0  0  0  0  0  0 0 None
0x2fc 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 24  0 16 16 16 16  0 0 Slow
0x2fd 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0  0  0  0  0  0 0 None
0x2fe 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0 16 16 16 16  0 0 Slow
0x2ff 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0  0  0  0  0  0 0 None
0x300 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0 16 16 16 16  0 0 Slow
0x301 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 24  8  0  0  0  0  0 0 None
0x302 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 24  8 16 16 16 16  0 0 Slow
0x303 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8  0  0  0  0  0 0 None
0x304 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8 16 16 16 16  0 0 Slow
0x305 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8  0  0  0  0  0 0 None
0x306 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8 16 16 16 16  0 0 Slow
0x307 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 32  0  0  0  0  0  0 0 None
0x308 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 32  0 16 16 16 16  0 0 Slow
0x309 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0  0  0  0  0  0 0 None
0x30a 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0 16 16 16 16  0 0 Slow
0x30b 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0  0  0  0  0  0 0 None
0x30c 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0 16 16 16 16  0 0 Slow
0x30d 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0  0  0  0  0  0  0  0 0 None
0x30e 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0  0  0 16 16 16  0  0 0 Slow
0x30f 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0  0  0  0  0  0 0 None
0x310 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0 16 16 16  0  0 0 Slow
0x311 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0  0  0  0  0  0 0 None
0x312 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0 16 16 16  0  0 0 Slow
0x313 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 16  0  0  0  0  0  0 0 None
0x314 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 16  0 16 16 16  0  0 0 Slow
0x315 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0  0  0  0  0  0 0 None
0x316 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0 16 16 16  0  0 0 Slow
0x317 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0  0  0  0  0  0 0 None
0x318 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0 16 16 16  0  0 0 Slow
0x319 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 24  0  0  0  0  0  0 0 None
0x31a 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 24  0 16 16 16  0  0 0 Slow
0x31b 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0  0  0  0  0  0 0 None
0x31c 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0 16 16 16  0  0 0 Slow
0x31d 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0  0  0  0  0  0 0 None
0x31e 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0 16 16 16  0  0 0 Slow
0x31f 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 24  8  0  0  0  0  0 0 None
0x320 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 24  8 16 16 16  0  0 0 Slow
0x321 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8  0  0  0  0  0 0 None
0x322 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8 16 16 16  0  0 0 Slow
0x323 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8  0  0  0  0  0 0 None
0x324 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8 16 16 16  0  0 0 Slow
0x325 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 32  0  0  0  0  0  0 0 None
0x326 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 32  0 16 16 16  0  0 0 Slow
0x327 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0  0  0  0  0  0 0 None
0x328 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0 16 16 16  0  0 0 Slow
0x329 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0  0  0  0  0  0 0 None
0x32a 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0 16 16 16  0  0 0 Slow
0x32b 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x32c 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x32d 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x32e 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x32f 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x330 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x331 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x332 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x333 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x334 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x335 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x336 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x337 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x338 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x339 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x33a 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x33b 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x33c 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x33d 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x33e 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x33f 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x340 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x341 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x342 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x343 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x344 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x345 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x346 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x347 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x348 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x349 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x34a 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x34b 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x34c 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x34d 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x34e 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x34f 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x350 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x351 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x352 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x353 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x354 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x355 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x356 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x357 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x358 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x359 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x35a 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x35b 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x35c 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x35d 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x35e 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x35f 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x360 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x361 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x362 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x363 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x364 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x365 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x366 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0  0  0  0  0  0  0  0 0 None
0x367 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0  0  0 16 16 16 16  0 0 Slow
0x368 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0  0  0  0  0  0 0 None
0x369 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0 16 16 16 16  0 0 Slow
0x36a 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0  0  0  0  0  0 0 None
0x36b 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0 16 16 16 16  0 0 Slow
0x36c 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 16  0  0  0  0  0  0 0 None
0x36d 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 16  0 16 16 16 16  0 0 Slow
0x36e 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0  0  0  0  0  0 0 None
0x36f 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0 16 16 16 16  0 0 Slow
0x370 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0  0  0  0  0  0 0 None
0x371 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0 16 16 16 16  0 0 Slow
0x372 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 24  0  0  0  0  0  0 0 None
0x373 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 24  0 16 16 16 16  0 0 Slow
0x374 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0  0  0  0  0  0 0 None
0x375 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0 16 16 16 16  0 0 Slow
0x376 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0  0  0  0  0  0 0 None
0x377 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0 16 16 16 16  0 0 Slow
0x378 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 24  8  0  0  0  0  0 0 None
0x379 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 24  8 16 16 16 16  0 0 Slow
0x37a 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8  0  0  0  0  0 0 None
0x37b 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8 16 16 16 16  0 0 Slow
0x37c 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8  0  0  0  0  0 0 None
0x37d 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8 16 16 16 16  0 0 Slow
0x37e 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 32  0  0  0  0  0  0 0 None
0x37f 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 32  0 16 16 16 16  0 0 Slow
0x380 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0  0  0  0  0  0 0 None
0x381 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0 16 16 16 16  0 0 Slow
0x382 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0  0  0  0  0  0 0 None
0x383 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0 16 16 16 16  0 0 Slow
0x384 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0  0  0  0  0  0  0  0 0 None
0x385 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0  0  0 16 16 16  0  0 0 Slow
0x386 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0  0  0  0  0  0 0 None
0x387 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0 16 16 16  0  0 0 Slow
0x388 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0  0  0  0  0  0 0 None
0x389 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0 16 16 16  0  0 0 Slow
0x38a 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 16  0  0  0  0  0  0 0 None
0x38b 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 16  0 16 16 16  0  0 0 Slow
0x38c 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0  0  0  0  0  0 0 None
0x38d 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0 16 16 16  0  0 0 Slow
0x38e 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0  0  0  0  0  0 0 None
0x38f 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0 16 16 16  0  0 0 Slow
0x390 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 24  0  0  0  0  0  0 0 None
0x391 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 24  0 16 16 16  0  0 0 Slow
0x392 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0  0  0  0  0  0 0 None
0x393 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0 16 16 16  0  0 0 Slow
0x394 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0  0  0  0  0  0 0 None
0x395 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0 16 16 16  0  0 0 Slow
0x396 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 24  8  0  0  0  0  0 0 None
0x397 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 24  8 16 16 16  0  0 0 Slow
0x398 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8  0  0  0  0  0 0 None
0x399 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8 16 16 16  0  0 0 Slow
0x39a 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8  0  0  0  0  0 0 None
0x39b 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8 16 16 16  0  0 0 Slow
0x39c 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 32  0  0  0  0  0  0 0 None
0x39d 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 32  0 16 16 16  0  0 0 Slow
0x39e 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0  0  0  0  0  0 0 None
0x39f 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0 16 16 16  0  0 0 Slow
0x3a0 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0  0  0  0  0  0 0 None
0x3a1 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0 16 16 16  0  0 0 Slow
0x098 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None

540 GLXFBConfigs:
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x099  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0  0  0  0  0  0  0  0 0 None
0x09a  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0  0  0 16 16 16 16  0 0 Slow
0x09b  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0  0  0  0  0  0 0 None
0x09c  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0 16 16 16 16  0 0 Slow
0x09d  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0  0  0  0  0  0 0 None
0x09e  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0 16 16 16 16  0 0 Slow
0x09f  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 16  0  0  0  0  0  0 0 None
0x0a0  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0a1  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0  0  0  0  0  0 0 None
0x0a2  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0a3  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0  0  0  0  0  0 0 None
0x0a4  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0a5  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 24  0  0  0  0  0  0 0 None
0x0a6  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0a7  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0  0  0  0  0  0 0 None
0x0a8  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0a9  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0  0  0  0  0  0 0 None
0x0aa  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0ab  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 24  8  0  0  0  0  0 0 None
0x0ac  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0ad  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8  0  0  0  0  0 0 None
0x0ae  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0af  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8  0  0  0  0  0 0 None
0x0b0  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0b1  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 32  0  0  0  0  0  0 0 None
0x0b2  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 32  0 16 16 16 16  0 0 Slow
0x0b3  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0  0  0  0  0  0 0 None
0x0b4  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0 16 16 16 16  0 0 Slow
0x0b5  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0  0  0  0  0  0 0 None
0x0b6  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0 16 16 16 16  0 0 Slow
0x0b7  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0b8  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0b9  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0ba  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0bb  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0bc  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0bd  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0be  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0bf  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0c0  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0c1  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0c2  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0c3  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0c4  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0c5  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0c6  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0c7  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0c8  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0c9  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0ca  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0cb  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0cc  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0cd  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0ce  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0cf  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 32  0  0  0  0  0  0 0 None
0x0d0  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x0d1  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0  0  0  0  0  0 0 None
0x0d2  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x0d3  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0  0  0  0  0  0 0 None
0x0d4  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x0d5  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0  0  0  0  0  0  0  0 0 None
0x0d6  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0d7  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0  0  0  0  0  0 0 None
0x0d8  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0d9  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0  0  0  0  0  0 0 None
0x0da  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0db  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 16  0  0  0  0  0  0 0 None
0x0dc  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0dd  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0  0  0  0  0  0 0 None
0x0de  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0df  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0  0  0  0  0  0 0 None
0x0e0  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0e1  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 24  0  0  0  0  0  0 0 None
0x0e2  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0e3  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0  0  0  0  0  0 0 None
0x0e4  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0e5  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0  0  0  0  0  0 0 None
0x0e6  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0e7  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 24  8  0  0  0  0  0 0 None
0x0e8  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0e9  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8  0  0  0  0  0 0 None
0x0ea  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0eb  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8  0  0  0  0  0 0 None
0x0ec  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0ed  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 32  0  0  0  0  0  0 0 None
0x0ee  0 tc  0  32  0 r  . .  10 10 10  2 .  .  0 32  0 16 16 16 16  0 0 Slow
0x0ef  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0  0  0  0  0  0 0 None
0x0f0  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0 16 16 16 16  0 0 Slow
0x0f1  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0  0  0  0  0  0 0 None
0x0f2  0 tc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0 16 16 16 16  0 0 Slow
0x0f3  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0f4  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0f5  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0f6  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0f7  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0f8  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0f9  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0fa  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0fb  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0fc  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0fd  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0fe  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0ff  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 24  0  0  0  0  0  0 0 None
0x100  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x101  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0  0  0  0  0  0 0 None
0x102  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x103  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0  0  0  0  0  0 0 None
0x104  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x105  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 24  8  0  0  0  0  0 0 None
0x106  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x107  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8  0  0  0  0  0 0 None
0x108  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x109  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8  0  0  0  0  0 0 None
0x10a  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x10b  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 32  0  0  0  0  0  0 0 None
0x10c  0 tc  0  30  0 r  . .  10 10 10  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x10d  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0  0  0  0  0  0 0 None
0x10e  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x10f  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0  0  0  0  0  0 0 None
0x110  0 tc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x111 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x112 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x113 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x114 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x115 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x116 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x117 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x118 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x119 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x11a 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x11b 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x11c 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x11d 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x11e 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x11f 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x120 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x121 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x122 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x123 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x124 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x125 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x126 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x127 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x128 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x129 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x12a 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x12b 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x12c 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x12d 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x12e 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x12f 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x130 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x131 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x132 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x133 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x134 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x135 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x136 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x137 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x138 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x139 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x13a 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x13b 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x13c 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x13d 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x13e 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x13f 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x140 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x141 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x142 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x143 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x144 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x145 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x146 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x147 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x148 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x149 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x14a 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x14b 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x14c 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x14d 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0  0  0  0  0  0  0  0 0 None
0x14e 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0  0  0 16 16 16 16  0 0 Slow
0x14f 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0  0  0  0  0  0 0 None
0x150 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0 16 16 16 16  0 0 Slow
0x151 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0  0  0  0  0  0 0 None
0x152 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0 16 16 16 16  0 0 Slow
0x153 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 16  0  0  0  0  0  0 0 None
0x154 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 16  0 16 16 16 16  0 0 Slow
0x155 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0  0  0  0  0  0 0 None
0x156 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0 16 16 16 16  0 0 Slow
0x157 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0  0  0  0  0  0 0 None
0x158 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0 16 16 16 16  0 0 Slow
0x159 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 24  0  0  0  0  0  0 0 None
0x15a 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 24  0 16 16 16 16  0 0 Slow
0x15b 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0  0  0  0  0  0 0 None
0x15c 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0 16 16 16 16  0 0 Slow
0x15d 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0  0  0  0  0  0 0 None
0x15e 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0 16 16 16 16  0 0 Slow
0x15f 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 24  8  0  0  0  0  0 0 None
0x160 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 24  8 16 16 16 16  0 0 Slow
0x161 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8  0  0  0  0  0 0 None
0x162 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8 16 16 16 16  0 0 Slow
0x163 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8  0  0  0  0  0 0 None
0x164 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8 16 16 16 16  0 0 Slow
0x165 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 32  0  0  0  0  0  0 0 None
0x166 24 tc  0  32  0 r  . .   8  8  8  8 .  s  0 32  0 16 16 16 16  0 0 Slow
0x167 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0  0  0  0  0  0 0 None
0x168 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0 16 16 16 16  0 0 Slow
0x169 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0  0  0  0  0  0 0 None
0x16a 24 tc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0 16 16 16 16  0 0 Slow
0x16b 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0  0  0  0  0  0  0  0 0 None
0x16c 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0  0  0 16 16 16  0  0 0 Slow
0x16d 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0  0  0  0  0  0 0 None
0x16e 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0 16 16 16  0  0 0 Slow
0x16f 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0  0  0  0  0  0 0 None
0x170 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0 16 16 16  0  0 0 Slow
0x171 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 16  0  0  0  0  0  0 0 None
0x172 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 16  0 16 16 16  0  0 0 Slow
0x173 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0  0  0  0  0  0 0 None
0x174 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0 16 16 16  0  0 0 Slow
0x175 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0  0  0  0  0  0 0 None
0x176 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0 16 16 16  0  0 0 Slow
0x177 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 24  0  0  0  0  0  0 0 None
0x178 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 24  0 16 16 16  0  0 0 Slow
0x179 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0  0  0  0  0  0 0 None
0x17a 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0 16 16 16  0  0 0 Slow
0x17b 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0  0  0  0  0  0 0 None
0x17c 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0 16 16 16  0  0 0 Slow
0x17d 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 24  8  0  0  0  0  0 0 None
0x17e 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 24  8 16 16 16  0  0 0 Slow
0x17f 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8  0  0  0  0  0 0 None
0x180 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8 16 16 16  0  0 0 Slow
0x181 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8  0  0  0  0  0 0 None
0x182 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8 16 16 16  0  0 0 Slow
0x183 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 32  0  0  0  0  0  0 0 None
0x184 24 tc  0  24  0 r  . .   8  8  8  0 .  s  0 32  0 16 16 16  0  0 0 Slow
0x185 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0  0  0  0  0  0 0 None
0x186 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0 16 16 16  0  0 0 Slow
0x187 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0  0  0  0  0  0 0 None
0x188 24 tc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0 16 16 16  0  0 0 Slow
0x189  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x18a  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x18b  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x18c  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x18d  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x18e  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x18f  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x190  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x191  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x192  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x193  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x194  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x195  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x196  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x197  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x198  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x199  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x19a  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x19b  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x19c  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x19d  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x19e  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x19f  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x1a0  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x1a1  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 32  0  0  0  0  0  0 0 None
0x1a2  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x1a3  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0  0  0  0  0  0 0 None
0x1a4  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x1a5  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0  0  0  0  0  0 0 None
0x1a6  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x1a7  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0  0  0  0  0  0  0  0 0 None
0x1a8  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0  0  0 16 16 16 16  0 0 Slow
0x1a9  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0  0  0  0  0  0 0 None
0x1aa  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0 16 16 16 16  0 0 Slow
0x1ab  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0  0  0  0  0  0 0 None
0x1ac  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0 16 16 16 16  0 0 Slow
0x1ad  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 16  0  0  0  0  0  0 0 None
0x1ae  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 16  0 16 16 16 16  0 0 Slow
0x1af  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0  0  0  0  0  0 0 None
0x1b0  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0 16 16 16 16  0 0 Slow
0x1b1  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0  0  0  0  0  0 0 None
0x1b2  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0 16 16 16 16  0 0 Slow
0x1b3  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 24  0  0  0  0  0  0 0 None
0x1b4  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 24  0 16 16 16 16  0 0 Slow
0x1b5  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0  0  0  0  0  0 0 None
0x1b6  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0 16 16 16 16  0 0 Slow
0x1b7  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0  0  0  0  0  0 0 None
0x1b8  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0 16 16 16 16  0 0 Slow
0x1b9  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 24  8  0  0  0  0  0 0 None
0x1ba  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 24  8 16 16 16 16  0 0 Slow
0x1bb  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8  0  0  0  0  0 0 None
0x1bc  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8 16 16 16 16  0 0 Slow
0x1bd  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8  0  0  0  0  0 0 None
0x1be  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8 16 16 16 16  0 0 Slow
0x1bf  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 32  0  0  0  0  0  0 0 None
0x1c0  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 32  0 16 16 16 16  0 0 Slow
0x1c1  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0  0  0  0  0  0 0 None
0x1c2  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0 16 16 16 16  0 0 Slow
0x1c3  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0  0  0  0  0  0 0 None
0x1c4  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0 16 16 16 16  0 0 Slow
0x1c5  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0  0  0  0  0  0  0  0 0 None
0x1c6  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x1c7  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0  0  0  0  0  0 0 None
0x1c8  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x1c9  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0  0  0  0  0  0 0 None
0x1ca  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x1cb  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 16  0  0  0  0  0  0 0 None
0x1cc  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x1cd  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0  0  0  0  0  0 0 None
0x1ce  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x1cf  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0  0  0  0  0  0 0 None
0x1d0  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x1d1  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 24  0  0  0  0  0  0 0 None
0x1d2  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x1d3  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0  0  0  0  0  0 0 None
0x1d4  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x1d5  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0  0  0  0  0  0 0 None
0x1d6  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x1d7  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 24  8  0  0  0  0  0 0 None
0x1d8  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x1d9  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8  0  0  0  0  0 0 None
0x1da  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x1db  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8  0  0  0  0  0 0 None
0x1dc  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x1dd  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 32  0  0  0  0  0  0 0 None
0x1de  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x1df  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0  0  0  0  0  0 0 None
0x1e0  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x1e1  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0  0  0  0  0  0 0 None
0x1e2  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x1e3  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0  0  0  0  0  0  0  0 0 None
0x1e4  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0  0  0 16 16 16 16  0 0 Slow
0x1e5  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0  0  0  0  0  0 0 None
0x1e6  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0 16 16 16 16  0 0 Slow
0x1e7  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0  0  0  0  0  0 0 None
0x1e8  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0  0  0 16 16 16 16  0 0 Slow
0x1e9  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 16  0  0  0  0  0  0 0 None
0x1ea  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 16  0 16 16 16 16  0 0 Slow
0x1eb  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0  0  0  0  0  0 0 None
0x1ec  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0 16 16 16 16  0 0 Slow
0x1ed  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0  0  0  0  0  0 0 None
0x1ee  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 16  0 16 16 16 16  0 0 Slow
0x1ef  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 24  0  0  0  0  0  0 0 None
0x1f0  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 24  0 16 16 16 16  0 0 Slow
0x1f1  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0  0  0  0  0  0 0 None
0x1f2  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0 16 16 16 16  0 0 Slow
0x1f3  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0  0  0  0  0  0 0 None
0x1f4  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  0 16 16 16 16  0 0 Slow
0x1f5  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 24  8  0  0  0  0  0 0 None
0x1f6  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 24  8 16 16 16 16  0 0 Slow
0x1f7  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8  0  0  0  0  0 0 None
0x1f8  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8 16 16 16 16  0 0 Slow
0x1f9  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8  0  0  0  0  0 0 None
0x1fa  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 24  8 16 16 16 16  0 0 Slow
0x1fb  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 32  0  0  0  0  0  0 0 None
0x1fc  0 dc  0  32  0 r  . .  10 10 10  2 .  .  0 32  0 16 16 16 16  0 0 Slow
0x1fd  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0  0  0  0  0  0 0 None
0x1fe  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0 16 16 16 16  0 0 Slow
0x1ff  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0  0  0  0  0  0 0 None
0x200  0 dc  0  32  0 r  y .  10 10 10  2 .  .  0 32  0 16 16 16 16  0 0 Slow
0x201  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0  0  0  0  0  0  0  0 0 None
0x202  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x203  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0  0  0  0  0  0 0 None
0x204  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x205  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0  0  0  0  0  0 0 None
0x206  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x207  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 16  0  0  0  0  0  0 0 None
0x208  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x209  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0  0  0  0  0  0 0 None
0x20a  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x20b  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0  0  0  0  0  0 0 None
0x20c  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x20d  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 24  0  0  0  0  0  0 0 None
0x20e  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x20f  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0  0  0  0  0  0 0 None
0x210  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x211  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0  0  0  0  0  0 0 None
0x212  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x213  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 24  8  0  0  0  0  0 0 None
0x214  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x215  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8  0  0  0  0  0 0 None
0x216  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x217  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8  0  0  0  0  0 0 None
0x218  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x219  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 32  0  0  0  0  0  0 0 None
0x21a  0 dc  0  30  0 r  . .  10 10 10  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x21b  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0  0  0  0  0  0 0 None
0x21c  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x21d  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0  0  0  0  0  0 0 None
0x21e  0 dc  0  30  0 r  y .  10 10 10  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x21f 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x220 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x221 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x222 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x223 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x224 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x225 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x226 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x227 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x228 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x229 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x22a 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x22b 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x22c 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x22d 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x22e 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x22f 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x230 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x231 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x232 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x233 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x234 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x235 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x236 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x237 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x238 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x239 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x23a 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x23b 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x23c 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x23d 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x23e 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x23f 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x240 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x241 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x242 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x243 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x244 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x245 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x246 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x247 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x248 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x249 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x24a 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x24b 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x24c 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x24d 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x24e 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x24f 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x250 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x251 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x252 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x253 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x254 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x255 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x256 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x257 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x258 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x259 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x25a 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x25b 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0  0  0  0  0  0  0  0 0 None
0x25c 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0  0  0 16 16 16 16  0 0 Slow
0x25d 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0  0  0  0  0  0 0 None
0x25e 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0 16 16 16 16  0 0 Slow
0x25f 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0  0  0  0  0  0 0 None
0x260 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0  0  0 16 16 16 16  0 0 Slow
0x261 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 16  0  0  0  0  0  0 0 None
0x262 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 16  0 16 16 16 16  0 0 Slow
0x263 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0  0  0  0  0  0 0 None
0x264 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0 16 16 16 16  0 0 Slow
0x265 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0  0  0  0  0  0 0 None
0x266 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 16  0 16 16 16 16  0 0 Slow
0x267 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 24  0  0  0  0  0  0 0 None
0x268 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 24  0 16 16 16 16  0 0 Slow
0x269 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0  0  0  0  0  0 0 None
0x26a 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0 16 16 16 16  0 0 Slow
0x26b 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0  0  0  0  0  0 0 None
0x26c 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  0 16 16 16 16  0 0 Slow
0x26d 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 24  8  0  0  0  0  0 0 None
0x26e 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 24  8 16 16 16 16  0 0 Slow
0x26f 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8  0  0  0  0  0 0 None
0x270 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8 16 16 16 16  0 0 Slow
0x271 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8  0  0  0  0  0 0 None
0x272 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 24  8 16 16 16 16  0 0 Slow
0x273 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 32  0  0  0  0  0  0 0 None
0x274 24 dc  0  32  0 r  . .   8  8  8  8 .  s  0 32  0 16 16 16 16  0 0 Slow
0x275 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0  0  0  0  0  0 0 None
0x276 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0 16 16 16 16  0 0 Slow
0x277 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0  0  0  0  0  0 0 None
0x278 24 dc  0  32  0 r  y .   8  8  8  8 .  s  0 32  0 16 16 16 16  0 0 Slow
0x279 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0  0  0  0  0  0  0  0 0 None
0x27a 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0  0  0 16 16 16  0  0 0 Slow
0x27b 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0  0  0  0  0  0 0 None
0x27c 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0 16 16 16  0  0 0 Slow
0x27d 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0  0  0  0  0  0 0 None
0x27e 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0  0  0 16 16 16  0  0 0 Slow
0x27f 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 16  0  0  0  0  0  0 0 None
0x280 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 16  0 16 16 16  0  0 0 Slow
0x281 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0  0  0  0  0  0 0 None
0x282 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0 16 16 16  0  0 0 Slow
0x283 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0  0  0  0  0  0 0 None
0x284 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 16  0 16 16 16  0  0 0 Slow
0x285 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 24  0  0  0  0  0  0 0 None
0x286 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 24  0 16 16 16  0  0 0 Slow
0x287 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0  0  0  0  0  0 0 None
0x288 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0 16 16 16  0  0 0 Slow
0x289 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0  0  0  0  0  0 0 None
0x28a 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  0 16 16 16  0  0 0 Slow
0x28b 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 24  8  0  0  0  0  0 0 None
0x28c 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 24  8 16 16 16  0  0 0 Slow
0x28d 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8  0  0  0  0  0 0 None
0x28e 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8 16 16 16  0  0 0 Slow
0x28f 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8  0  0  0  0  0 0 None
0x290 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 24  8 16 16 16  0  0 0 Slow
0x291 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 32  0  0  0  0  0  0 0 None
0x292 24 dc  0  24  0 r  . .   8  8  8  0 .  s  0 32  0 16 16 16  0  0 0 Slow
0x293 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0  0  0  0  0  0 0 None
0x294 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0 16 16 16  0  0 0 Slow
0x295 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0  0  0  0  0  0 0 None
0x296 24 dc  0  24  0 r  y .   8  8  8  0 .  s  0 32  0 16 16 16  0  0 0 Slow
0x297  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x298  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x299  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x29a  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x29b  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x29c  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x29d  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x29e  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x29f  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x2a0  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x2a1  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x2a2  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x2a3  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x2a4  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x2a5  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x2a6  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x2a7  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x2a8  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x2a9  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x2aa  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x2ab  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x2ac  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x2ad  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x2ae  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x2af  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 32  0  0  0  0  0  0 0 None
0x2b0  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x2b1  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0  0  0  0  0  0 0 None
0x2b2  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x2b3  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0  0  0  0  0  0 0 None
0x2b4  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0 16 16 16  0  0 0 Slow

[na6mg@xjupiter-one ~]$
Comment 16 Don Coleman 2019-07-24 06:08:14 UTC
Same problem here.  Latest 12.0 kernel and packages, running on a 2008 Mac Mini.
Reverting to libpciaccess-0.13.5 from libpciaccess-0.14 also solves the problem.
Same error message from xorg and symptoms (text console works fine, when switching to x11, get a momentary blank screen, and then return to text console with the specified error message).

12.0-RELEASE-p7 GENERIC  i386

on the "latest" release using pkg, updated week.

kernel: CPU: Genuine Intel(R) CPU            1300  @ 
1.66GHz (1666.67-MHz 686-class CPU)
kernel:   Origin="GenuineIntel"  Id=0x6e8  Family=0x6
  Model=0xe  Stepping=8
kernel:   Features=0xbfe9fbff<FPU,VME,DE,PSE,TSC,MSR,
PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS
,HTT,TM,PBE>
kernel:   Features2=0xc1a9<SSE3,MON,VMX,EST,TM2,xTPR,
PDCM>
kernel:   AMD Features=0x100000<NX>
kernel:   VT-x: HLT,PAUSE
kernel:   TSC: P-state invariant, performance statist
ics
kernel: real memory  = 2147483648 (2048 MB)
kernel: avail memory = 2039955456 (1945 MB)
kernel: Event timer "LAPIC" quality 100kernel: ACPI APIC Table: <APPLE  Apple00>
kernel: FreeBSD/SMP: Multiprocessor System Detected: 
2 CPUs
  .
  .
  .
kernel: vtvga0: <VT VGA driver> on motherboard
  .
  .
  .
pci0: <ACPI PCI bus> on pcib0
kernel: vgapci0: <VGA-compatible display> port 0x20f0-0x20f7 mem 0x90380000-0x903fffff,0x80000000-0x8fffffff,0x90400000-0x9043ffff irq 16 at device 2.0 on pci0
kernel: agp0: <Intel 82945GM (945GM GMCH) SVGA controller> on vgapci0
kernel: agp0: aperture size is 256M, detected 16124k stolen memory
kernel: vgapci0: Boot video device
Comment 17 Michael Duller 2019-07-24 06:12:05 UTC
Experienced the same on FreeBSD 12-RELEASE-p7 amd64 with NVIDIA GeForce 9400 GT and nv driver. Downgrading libpicaccess to 0.13.5 resolved the issue. Locking package for now and tracking this bug now to learn when the issue is resolved and upgrading is safe again.
Comment 18 Niclas Zeising freebsd_committer 2019-07-24 07:37:47 UTC
(In reply to Don Coleman from comment #16)
> Same problem here.  Latest 12.0 kernel and packages, running on a 2008 Mac
> Mini.
> Reverting to libpciaccess-0.13.5 from libpciaccess-0.14 also solves the
> problem.
> Same error message from xorg and symptoms (text console works fine, when
> switching to x11, get a momentary blank screen, and then return to text
> console with the specified error message).
> 


Hi!
Can you provide your entire dmesg, as well as Xorg.log.0?  Please attach them to this PR, or use a pastebin like service.

Have you tried using a driver from drm-kmod, or drm-legacy-kmod?
Thanks!
Comment 19 Niclas Zeising freebsd_committer 2019-07-24 07:38:40 UTC
(In reply to Michael Duller from comment #17)
> Experienced the same on FreeBSD 12-RELEASE-p7 amd64 with NVIDIA GeForce 9400
> GT and nv driver. Downgrading libpicaccess to 0.13.5 resolved the issue.
> Locking package for now and tracking this bug now to learn when the issue is
> resolved and upgrading is safe again.

Hi!
Can you provide dmesg and Xorg.log.0? Please attach them or use a pastebin like service.
What happens if you use the nvidia driver?
Thanks!
Comment 20 Andreas Schwarz 2019-07-24 22:22:10 UTC
The problem with the vesa driver is still there. I can switch to the scfb driver and it will work without any
problems. I'm not using drm driver or have drm kernel modules loaded.

Xorg.0.log

  https://pastebin.com/XW3DvzVe

abc@tapir:~ $ uname -a 
FreeBSD tapir 12.0-RELEASE-p8 FreeBSD 12.0-RELEASE-p8 GENERIC  amd64
Comment 21 Niclas Zeising freebsd_committer 2019-07-25 08:17:37 UTC
(In reply to Andreas Schwarz from comment #20)
> The problem with the vesa driver is still there. I can switch to the scfb
> driver and it will work without any
> problems. I'm not using drm driver or have drm kernel modules loaded.
> 
> Xorg.0.log
> 
>   https://pastebin.com/XW3DvzVe
> 
> abc@tapir:~ $ uname -a 
> FreeBSD tapir 12.0-RELEASE-p8 FreeBSD 12.0-RELEASE-p8 GENERIC  amd64

Can you check if a driver is attached to the graphics card?
xf86-video-vesa looks to see if a driver is attached to the graphics card, and don't want to work then.
Are you using efi or bios boot?
Comment 22 Andreas Schwarz 2019-07-25 21:51:00 UTC
(In reply to Niclas Zeising from comment #21)
> Can you check if a driver is attached to the graphics card?
> xf86-video-vesa looks to see if a driver is attached to the graphics card, and 
> don't want to work then.
> Are you using efi or bios boot?

I'm using EFI boot. 

When looking to dmesg, there is a problem to register the vesa kernel module,
maybe this causes the problems with driver.

[...]
netmap: loaded module
[ath_hal] loaded
module_register_init: MOD_LOAD (vesa, 0xffffffff810f9a00, 0) error 19
random: registering fast source Intel Secure Key RNG
random: fast provider: "Intel Secure Key RNG"
[...]
Comment 23 Andreas Schwarz 2019-07-25 23:02:06 UTC
Ok, the unsuccessful module_register_init at boot, has probably nothing todo
with this problem. It still occur (at any of my freebsd boxes, even headless
ones).

What I did in the last hour, was to follow the suggestion from George 
(Comment 2). I've compiled and installed libpciaccess-0.13.5.

This has definitely fixed the problem and the x11 vesa driver was loaded,
Xorg was working.

Have a look at :

  https://pastebin.com/XgXMATTd


root@tapir:~ # pkg info libpciaccess
libpciaccess-0.13.5
Name           : libpciaccess
Version        : 0.13.5
Installed on   : Fri Jul 26 00:34:35 2019 CEST
Origin         : devel/libpciaccess
Architecture   : FreeBSD:12:amd64
Prefix         : /usr/local
Categories     : devel
Licenses       : 
Maintainer     : x11@FreeBSD.org
WWW            : http://www.freedesktop.org/Software/xlibs
Comment        : Generic PCI access library
Shared Libs provided:
        libpciaccess.so.0
Annotations    :
        FreeBSD_version: 1200086
Flat size      : 87.1KiB
Description    :
This package contains the pciaccess library.

WWW: http://www.freedesktop.org/Software/xlibs
Comment 24 Niclas Zeising freebsd_committer 2019-07-29 20:08:23 UTC
*** Bug 239200 has been marked as a duplicate of this bug. ***
Comment 25 Niclas Zeising freebsd_committer 2019-08-01 21:04:03 UTC
Created attachment 206207 [details]
Update devel/libpciaccess to 0.16 and (try to) fix issues

Hi!
Can you try the attached patch?  It updates devel/libpciaccess to 0.16, and also should include a work around for these issues.
Patch needs to be applied with -p1 -E
Comment 26 Andreas Schwarz 2019-08-01 22:45:07 UTC
(In reply to Niclas Zeising from comment #25)

I just tried your patch to libpciaccess-0.16, this was successful, the vesa
driver was loading and working again. Thx.

Xorg.o.log -> https://pastebin.com/5rmSGbuX

root@tapir:~ # pkg info libpciaccess
libpciaccess-0.16
Name           : libpciaccess
Version        : 0.16
Installed on   : Fri Aug  2 00:29:33 2019 CEST
Origin         : devel/libpciaccess
Architecture   : FreeBSD:12:amd64
Prefix         : /usr/local
Categories     : devel
Licenses       : MIT
Maintainer     : x11@FreeBSD.org
WWW            : https://www.freedesktop.org/wiki/Software/xlibs/
Comment        : Generic PCI access library
Shared Libs provided:
        libpciaccess.so.0
Annotations    :
        FreeBSD_version: 1200086
Flat size      : 99.1KiB
Description    :
This package contains the pciaccess library.

WWW: https://www.freedesktop.org/wiki/Software/xlibs/
Comment 27 meine 2019-08-02 07:46:24 UTC
(In reply to Niclas Zeising from comment #25)

I gladly want to try this, but need more detailed instruction to do the update to /devel/libpciaccess 0.16

could you (if still appropriate) provide me with the command to run?

TIA

//meine
Comment 28 Tod McQuillin 2019-08-02 08:12:15 UTC
(In reply to Niclas Zeising from comment #9)

Hi Niclas,

I'm pretty sure there is no kernel driver for the mga, and pretty sure there's no way i'm using it if it does exist.

I'm not 100% sure how to know for certain but here's my dmesg if that helps:

Copyright (c) 1992-2019 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 11.3-STABLE #1 r350334: Fri Jul 26 18:15:07 JST 2019
    devin@sodalime.pun-pun.prv:/usr/obj/usr/src.11/sys/SODALIME amd64
FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1)
VT(vga): resolution 640x480
CPU: Intel(R) Pentium(R) CPU G2020T @ 2.50GHz (2494.38-MHz K8-class CPU)
  Origin="GenuineIntel"  Id=0x306a9  Family=0x6  Model=0x3a  Stepping=9
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0xd9ae3bf<SSE3,PCLMULQDQ,DTES64,MON,DS_CPL,VMX,EST,TM2,SSSE3,CX16,xTPR,PDCM,PCID,SSE4.1,SSE4.2,POPCNT,TSCDLT,XSAVE,OSXSAVE>
  AMD Features=0x28100800<SYSCALL,NX,RDTSCP,LM>
  AMD Features2=0x1<LAHF>
  Structured Extended Features=0x281<FSGSBASE,SMEP,ERMS>
  XSAVE Features=0x1<XSAVEOPT>
  VT-x: PAT,HLT,MTF,PAUSE,EPT,UG,VPID
  TSC: P-state invariant, performance statistics
real memory  = 17179869184 (16384 MB)
avail memory = 16588075008 (15819 MB)
Event timer "LAPIC" quality 600
ACPI APIC Table: <HP     ProLiant>
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
FreeBSD/SMP: 1 package(s) x 2 core(s)
Firmware Warning (ACPI): 32/64X length mismatch in FADT/Pm1aControlBlock: 16/32 (20171214/tbfadt-748)
Firmware Warning (ACPI): 32/64X length mismatch in FADT/Pm2ControlBlock: 8/32 (20171214/tbfadt-748)
Firmware Warning (ACPI): Invalid length for FADT/Pm1aControlBlock: 32, using default 16 (20171214/tbfadt-850)
Firmware Warning (ACPI): Invalid length for FADT/Pm2ControlBlock: 32, using default 8 (20171214/tbfadt-850)
ioapic0: Changing APIC ID to 8
ioapic0 <Version 2.0> irqs 0-23 on motherboard
random: entropy device external interface
kbd1 at kbdmux0
module_register_init: MOD_LOAD (vesa, 0xffffffff80964df0, 0) error 19
000.000044 [4213] netmap_init               netmap: loaded module
nexus0
vtvga0: <VT VGA driver> on motherboard
smbios0: <System Management BIOS> at iomem 0xf4f40-0xf4f5e on motherboard
smbios0: Version: 2.7, BCD Revision: 2.7
cryptosoft0: <software crypto> on motherboard
acpi0: <HP ProLiant> on motherboard
acpi0: Power Button (fixed)
cpu0: <ACPI CPU> on acpi0
cpu1: <ACPI CPU> on acpi0
attimer0: <AT timer> port 0x40-0x43 irq 0 on acpi0
Timecounter "i8254" frequency 1193182 Hz quality 0
Event timer "i8254" frequency 1193182 Hz quality 100
hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff on acpi0
Timecounter "HPET" frequency 14318180 Hz quality 950
Event timer "HPET" frequency 14318180 Hz quality 550
Event timer "HPET1" frequency 14318180 Hz quality 440
Event timer "HPET2" frequency 14318180 Hz quality 440
Event timer "HPET3" frequency 14318180 Hz quality 440
Event timer "HPET4" frequency 14318180 Hz quality 440
Event timer "HPET5" frequency 14318180 Hz quality 440
Event timer "HPET6" frequency 14318180 Hz quality 440
atrtc0: <AT realtime clock> port 0x70-0x71 on acpi0
atrtc0: registered as a time-of-day clock, resolution 1.000000s
Event timer "RTC" frequency 32768 Hz quality 0
Timecounter "ACPI-fast" frequency 3579545 Hz quality 900
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x908-0x90b on acpi0
pcib0: <ACPI Host-PCI bridge> on acpi0
pcib0: _OSC returned error 0x10
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> at device 1.0 on pci0
pci1: <ACPI PCI bus> on pcib1
pcib2: <ACPI PCI-PCI bridge> at device 6.0 on pci0
pci2: <ACPI PCI bus> on pcib2
ehci0: <Intel Cougar Point USB 2.0 controller> mem 0xfacf0000-0xfacf03ff irq 21 at device 26.0 on pci0
usbus0: EHCI version 1.0
usbus0 on ehci0
pcib3: <ACPI PCI-PCI bridge> at device 28.0 on pci0
pci3: <ACPI PCI bus> on pcib3
pcib4: <ACPI PCI-PCI bridge> at device 28.4 on pci0
pci4: <ACPI PCI bus> on pcib4
pci0:3:0:0: failed to read VPD data.
bge0: <Broadcom BCM5720 A0, ASIC rev. 0x5720000> mem 0xfabf0000-0xfabfffff,0xfabe0000-0xfabeffff,0xfabd0000-0xfabdffff irq 16 at device 0.0 on pci4
bge0: APE FW version: NCSI v1.1.15.0
bge0: CHIP ID 0x05720000; ASIC REV 0x5720; CHIP REV 0x57200; PCI-E
miibus0: <MII bus> on bge0
brgphy0: <BCM5720C 1000BASE-T media interface> PHY 1 on miibus0
brgphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bge0: Using defaults for TSO: 65518/35/2048
bge0: Ethernet address: a0:1d:48:c7:5f:14
pci0:3:0:1: failed to read VPD data.
bge1: <Broadcom BCM5720 A0, ASIC rev. 0x5720000> mem 0xfabc0000-0xfabcffff,0xfabb0000-0xfabbffff,0xfaba0000-0xfabaffff irq 17 at device 0.1 on pci4
bge1: APE FW version: NCSI v1.1.15.0
bge1: CHIP ID 0x05720000; ASIC REV 0x5720; CHIP REV 0x57200; PCI-E
miibus1: <MII bus> on bge1
brgphy1: <BCM5720C 1000BASE-T media interface> PHY 2 on miibus1
brgphy1:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bge1: Using defaults for TSO: 65518/35/2048
bge1: Ethernet address: a0:1d:48:c7:5f:15
pcib5: <ACPI PCI-PCI bridge> at device 28.6 on pci0
pci5: <ACPI PCI bus> on pcib5
xhci0: <XHCI (generic) USB 3.0 controller> mem 0xfbff0000-0xfbff1fff irq 18 at device 0.0 on pci5
xhci0: 64 bytes context size, 32-bit DMA
xhci0: Unable to map MSI-X table 
usbus1 on xhci0
pcib6: <ACPI PCI-PCI bridge> at device 28.7 on pci0
pci6: <ACPI PCI bus> on pcib6
vgapci0: <VGA-compatible display> mem 0xf9000000-0xf9ffffff,0xfbee0000-0xfbee3fff,0xfb000000-0xfb7fffff irq 16 at device 0.1 on pci6
vgapci0: Boot video device
uhci0: <HP iLO Standard Virtual USB controller> port 0x3c00-0x3c1f irq 16 at device 0.4 on pci6
usbus2 on uhci0
ehci1: <Intel Cougar Point USB 2.0 controller> mem 0xface0000-0xface03ff irq 20 at device 29.0 on pci0
usbus3: EHCI version 1.0
usbus3 on ehci1
pcib7: <PCI-PCI bridge> at device 30.0 on pci0
pci7: <PCI bus> on pcib7
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
ahci0: <Intel Cougar Point AHCI SATA controller> port 0x10c0-0x10c7,0x10c8-0x10cb,0x10d0-0x10d7,0x10d8-0x10db,0x10e0-0x10ff mem 0xfacd0000-0xfacd07ff irq 17 at device 31.2 on pci0
ahci0: AHCI v1.30 with 6 6Gbps ports, Port Multiplier supported
ahcich0: <AHCI channel> at channel 0 on ahci0
ahcich1: <AHCI channel> at channel 1 on ahci0
ahcich2: <AHCI channel> at channel 2 on ahci0
ahcich3: <AHCI channel> at channel 3 on ahci0
ahcich4: <AHCI channel> at channel 4 on ahci0
ahcich5: <AHCI channel> at channel 5 on ahci0
ahciem0: <AHCI enclosure management bridge> on ahci0
acpi_tz0: <Thermal Zone> on acpi0
ipmi0: <IPMI System Interface> port 0xca2-0xca3 on acpi0
ipmi0: KCS mode found at io 0xca2 on acpi
ipmi0: KCS error: ff
acpi_syscontainer0: <System Container> port 0x2e-0x2f on acpi0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
orm0: <ISA Option ROMs> at iomem 0xc0000-0xc7fff,0xc8000-0xcbfff on isa0
uart1: <Non-standard ns8250 class UART with FIFOs> at port 0x2f8 irq 3 on isa0
coretemp0: <CPU On-Die Thermal Sensors> on cpu0
est0: <Enhanced SpeedStep Frequency Control> on cpu0
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 1cd200001900
device_attach: est0 attach returned 6
coretemp1: <CPU On-Die Thermal Sensors> on cpu1
est1: <Enhanced SpeedStep Frequency Control> on cpu1
est: CPU supports Enhanced Speedstep, but is not recognized.
est: cpu_vendor GenuineIntel, msr 1cd200001900
device_attach: est1 attach returned 6
fuse-freebsd: version 0.4.4, FUSE ABI 7.8
Timecounters tick every 1.000 msec
ipmi0: IPMI device rev. 2, firmware rev. 1.40, version 2.0
ipmi0: Number of channels 1
ipmi0: Attached watchdog
usbus0: 480Mbps High Speed USB v2.0
usbus1: 5.0Gbps Super Speed USB v3.0
usbus2: 12Mbps Full Speed USB v1.0
usbus3: 480Mbps High Speed USB v2.0
ugen0.1: <Intel EHCI root HUB> at usbus0
uhub0: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus0
ugen1.1: <0x1912 XHCI root HUB> at usbus1
uhub1: <0x1912 XHCI root HUB, class 9/0, rev 3.00/1.00, addr 1> on usbus1
ugen2.1: <HP UHCI root HUB> at usbus2
uhub2: <HP UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus2
ugen3.1: <Intel EHCI root HUB> at usbus3
uhub3: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus3
uhub1: 6 ports with 6 removable, self powered
uhub2: 2 ports with 2 removable, self powered
uhub0: 2 ports with 2 removable, self powered
uhub3: 2 ports with 2 removable, self powered
ugen0.2: <vendor 0x8087 product 0x0024> at usbus0
uhub4 on uhub0
uhub4: <vendor 0x8087 product 0x0024, class 9/0, rev 2.00/0.00, addr 2> on usbus0
ugen3.2: <vendor 0x8087 product 0x0024> at usbus3
uhub5 on uhub3
uhub5: <vendor 0x8087 product 0x0024, class 9/0, rev 2.00/0.00, addr 2> on usbus3
ses0 at ahciem0 bus 0 scbus6 target 0 lun 0
ses0: <AHCI SGPIO Enclosure 1.00 0001> SEMB S-E-S 2.00 device
ses0: SEMB SES Device
ada0 at ahcich0 bus 0 scbus0 target 0 lun 0
ada0: <ST4000NM0033-9ZM170 SN03> ACS-2 ATA SATA 3.x device
ada0: Serial Number Z1Z31Z40
ada0: 600.000MB/s transfers (SATA 3.x, UDMA6, PIO 8192bytes)
ada0: Command Queueing enabled
ada0: 3815447MB (7814037168 512 byte sectors)
ada1 at ahcich1 bus 0 scbus1 target 0 lun 0
ada1: <ST4000NM0033-9ZM170 SN03> ACS-2 ATA SATA 3.x device
ada1: Serial Number Z1Z31SY5
ada1: 600.000MB/s transfers (SATA 3.x, UDMA6, PIO 8192bytes)
ada1: Command Queueing enabled
ada1: 3815447MB (7814037168 512 byte sectors)
ada2 at ahcich2 bus 0 scbus2 target 0 lun 0
ada2: <ST4000NM0033-9ZM170 SN03> ACS-2 ATA SATA 3.x device
ada2: Serial Number Z1Z300Q5
ada2: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada2: Command Queueing enabled
ada2: 3815447MB (7814037168 512 byte sectors)
ada3 at ahcich3 bus 0 scbus3 target 0 lun 0
ada3: <ST4000NM0033-9ZM170 SN03> ACS-2 ATA SATA 3.x device
ada3: Serial Number Z1Z340P5
ada3: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada3: Command Queueing enabled
ada3: 3815447MB (7814037168 512 byte sectors)
SMP: AP CPU #1 Launched!
hwpmc: SOFT/16/64/0x67<INT,USR,SYS,REA,WRI> TSC/1/64/0x20<REA> IAP/8/48/0x3ff<INT,USR,SYS,EDG,THR,REA,WRI,INV,QUA,PRC> IAF/3/48/0x67<INT,USR,SYS,REA,WRI>
Timecounter "TSC-low" frequency 1247191814 Hz quality 1000
Trying to mount root from ufs:/dev/da0s1a [rw,noatime]...
GEOM: ada1: the primary GPT table is corrupt or invalid.
GEOM: ada1: using the secondary instead -- recovery strongly advised.
GEOM: ada2: the primary GPT table is corrupt or invalid.
GEOM: ada2: using the secondary instead -- recovery strongly advised.
GEOM: ada3: the primary GPT table is corrupt or invalid.
GEOM: ada3: using the secondary instead -- recovery strongly advised.
GEOM: diskid/DISK-Z1Z31SY5: the primary GPT table is corrupt or invalid.
GEOM: diskid/DISK-Z1Z31SY5: using the secondary instead -- recovery strongly advised.
GEOM: diskid/DISK-Z1Z300Q5: the primary GPT table is corrupt or invalid.
GEOM: diskid/DISK-Z1Z300Q5: using the secondary instead -- recovery strongly advised.
GEOM: diskid/DISK-Z1Z340P5: the primary GPT table is corrupt or invalid.
GEOM: diskid/DISK-Z1Z340P5: using the secondary instead -- recovery strongly advised.
Root mount waiting for: usbus3 usbus0
uhub4: 6 ports with 6 removable, self powered
uhub5: 6 ports with 6 removable, self powered
ugen0.3: <GN Netcom GN 2000 USB OC> at usbus0
ugen3.3: <vendor 0x0424 product 0x2660> at usbus3
uhub6 on uhub5
uhub6: <vendor 0x0424 product 0x2660, class 9/0, rev 2.00/8.01, addr 3> on usbus3
Root mount waiting for: usbus3 usbus0
uhub6: 2 ports with 1 removable, self powered
Root mount waiting for: usbus3 usbus0
ugen0.4: <Transcend StoreJet Transcend> at usbus0
umass0 on uhub4
umass0: <Transcend StoreJet Transcend, class 0/0, rev 2.10/10.00, addr 4> on usbus0
umass0:  SCSI over Bulk-Only; quirks = 0x0100
umass0:7:0: Attached to scbus7
da0 at umass-sim0 bus 0 scbus7 target 0 lun 0
da0: <StoreJet  0> Fixed Direct Access SPC-4 SCSI device
da0: Serial Number 4F119234F063283F0036
da0: 40.000MB/s transfers
da0: 114473MB (234441648 512 byte sectors)
da0: quirks=0x2<NO_6_BYTE>
ugen3.4: <Generic Ultra Fast Media Reader> at usbus3
umass1 on uhub6
umass1: <Generic Ultra Fast Media Reader, class 0/0, rev 2.00/2.09, addr 4> on usbus3
umass1:  SCSI over Bulk-Only; quirks = 0xc100
umass1:8:1: Attached to scbus8
da1 at umass-sim1 bus 1 scbus8 target 0 lun 0
da1: <HP iLO Internal SD-CARD 2.09> Fixed Direct Access SCSI device
da1: Serial Number 000002660A01
da1: 40.000MB/s transfers
da1: 7580MB (15523840 512 byte sectors)
da1: quirks=0x2<NO_6_BYTE>
ugen0.5: <vendor 0x0409 product 0x005a> at usbus0
uhub7 on uhub4
uhub7: <vendor 0x0409 product 0x005a, class 9/0, rev 2.00/1.00, addr 5> on usbus0
uhub7: 3 ports with 2 removable, bus powered
Root mount waiting for: usbus0
ugen0.6: <Topre Corporation HHKB Professional> at usbus0
ukbd0 on uhub7
ukbd0: <Topre Corporation HHKB Professional, class 0/0, rev 1.10/1.02, addr 6> on usbus0
kbd2 at ukbd0
ugen0.7: <Logitech USB Receiver> at usbus0
mountroot: waiting for device /dev/da0s1a...
random: unblocking device.
ZFS filesystem version: 5
ZFS storage pool version: features support (5000)
lo0: link state changed to UP
bge0: link state changed to DOWN
nd6_dad_timer: cancel DAD on vlan4 because of ND6_IFF_IFDISABLED.
nd6_dad_timer: cancel DAD on vlan3 because of ND6_IFF_IFDISABLED.
nd6_dad_timer: cancel DAD on vlan2 because of ND6_IFF_IFDISABLED.
bge1: link state changed to DOWN
bge0: link state changed to UP
vlan1: link state changed to UP
vlan2: link state changed to UP
vlan3: link state changed to UP
vlan4: link state changed to UP
vlan5: link state changed to UP
vlan6: link state changed to UP
bge1: link state changed to UP
uaudio0 on uhub4
uaudio0: <GN Netcom GN 2000 USB OC, class 0/0, rev 1.10/1.00, addr 3> on usbus0
uaudio0: Play: 48000 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Play: 44100 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Play: 40000 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Play: 32000 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Play: 24000 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Play: 22050 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Play: 16000 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Play: 11025 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Play: 8000 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Record: 48000 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Record: 44100 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Record: 40000 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Record: 32000 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Record: 24000 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Record: 22050 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Record: 16000 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Record: 11025 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: Record: 8000 Hz, 2 ch, 16-bit S-LE PCM format, 2x8ms buffer.
uaudio0: No MIDI sequencer.
pcm0: <USB audio> on uaudio0
uaudio0: HID volume keys found.
uhid0 on uhub7
uhid0: <Logitech USB Receiver, class 0/0, rev 2.00/5.00, addr 7> on usbus0
ums0 on uhub7
ums0: <Logitech USB Receiver, class 0/0, rev 2.00/5.00, addr 7> on usbus0
ums0: 16 buttons and [XYZT] coordinates ID=0
Comment 29 Niclas Zeising freebsd_committer 2019-08-02 08:29:54 UTC
(In reply to meine from comment #27)
> (In reply to Niclas Zeising from comment #25)
> 
> I gladly want to try this, but need more detailed instruction to do the
> update to /devel/libpciaccess 0.16
> 
> could you (if still appropriate) provide me with the command to run?
> 
> TIA
> 
> //meine

Hi!
You need to either have a poudriere set up, or install from a ports tree.
Download the patch and apply it to the ports tree you want to use, and then build libpciaccess from there.

If you are using packages with pkg, and don't have experience with the ports tree or with poudriere, let me know and I'll try to make a more detailed explanation.
Comment 30 Niclas Zeising freebsd_committer 2019-08-02 08:31:27 UTC
(In reply to Tod McQuillin from comment #28)
> (In reply to Niclas Zeising from comment #9)
> 
> Hi Niclas,
> 
> I'm pretty sure there is no kernel driver for the mga, and pretty sure
> there's no way i'm using it if it does exist.
> 
> I'm not 100% sure how to know for certain but here's my dmesg if that helps:
> 


This turned out to be a false lead of sorts.  On FreeBSD, vgapci attaches to all graphics drivers, which sometimes causes confusion.  Can you try the attached patch and see if it resolves the issues you're seeing?
Thanks!
Comment 31 meine 2019-08-02 11:13:51 UTC
(In reply to Niclas Zeising from comment #29)

(indeed) I have no experience with ports or poudriere, only use packages.

When you show me the way I will try the update.

//meine
Comment 32 george 2019-08-02 18:44:36 UTC
This patch fixes my problem.  Thank you!
Comment 33 george 2019-08-02 18:46:38 UTC
(My immediately previous comment was intended to be in response to comment 25, Niclas Zelsing's patch.)
Comment 34 Marcel Kaiser 2019-08-02 22:10:58 UTC
(In reply to Niclas Zeising from comment #25)
Thank you, Niclas. The patch is working here.
Comment 35 Niclas Zeising freebsd_committer 2019-08-05 09:35:37 UTC
I've had several good reports with the patch, I'll push it to the ports tree as soon as possible, I just need to clear some other things off the TODO list first. It will then take some time (usually a couple of days) before it shows up as pre-built packages.
Comment 36 Niclas Zeising freebsd_committer 2019-08-05 09:39:31 UTC
(In reply to meine from comment #31)
> (In reply to Niclas Zeising from comment #29)
> 
> (indeed) I have no experience with ports or poudriere, only use packages.
> 
> When you show me the way I will try the update.

Ports is the source of the packages, so to speak.  It's a set of makefiles, metadata, patches and so on that allows packages to be built from FreeBSD.  You can use it to build packages yourself, either locally, or using poudriere (which is the same software that the official packages use).
In this case, if you had either poudriere or a ports tree, you would download the patch, and then rebuild libpciaccess with my patch.  I don't think it's needed though, I've had several reports of success with the patch, and I hope to get it in the tree shortly.
There is some more info about the ports tree here: https://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/ports-using.html .  Hopefully it can serve as a start on how the ports tree works.
Comment 37 software 2019-08-05 18:21:44 UTC
(In reply to Andreas Schwarz from comment #23)

Same here. I downgraded libpciaccess to 13.5 by git-blame and git-show
and suddenly it worked again.

This is very, very poor.

Bertram
Comment 38 Niclas Zeising freebsd_committer 2019-08-05 19:09:33 UTC
(In reply to software from comment #37)
> (In reply to Andreas Schwarz from comment #23)
> 
> Same here. I downgraded libpciaccess to 13.5 by git-blame and git-show
> and suddenly it worked again.
> 
> This is very, very poor.
> 

Hi!
I am very sorry that libpciaccess broke.  It was quite well tested, but unfortunately some corner cases (such as nv and mga) was missed.  The Graphics Team are doing our best to keep xorg both stable and updated, and in this case, something broke.

I have posted a patch that for many people seem to solve the issues, and I'm working on getting it into the ports tree ASAP.
Regards
Niclas
FreeBSD Graphics Team
Comment 39 meine 2019-08-05 19:37:28 UTC
(In reply to Niclas Zeising from comment #36)

TNX Nicolas for your explanation on ports and poudriere, but most of all for fixing this issue! having some overlooked 'corner cases' is just how things work, but saying 'sorry' and fixing it is something proprietary systems can learn from! 

I will dive into the world of ports to learn to keep learning this wonderful system of FreeBSD.

foremost for me this issue is yet a Great Example of the way FOSS works, in that maintainers and end users have contact to improve the system!

Kind Regards,

//meine
Comment 40 commit-hook freebsd_committer 2019-08-05 21:30:07 UTC
A commit references this bug:

Author: zeising
Date: Mon Aug  5 21:29:29 UTC 2019
New revision: 508214
URL: https://svnweb.freebsd.org/changeset/ports/508214

Log:
  devel/libpciaccess: Update to 0.16, fix regression

  Update devel/libpciaccess to 0.16.  All local patches have been included in
  this version, so delete those files.
  Add a patch to fix a regression when using certain video drivers,
  xf86-video-mga, xf86-video-nv and xf86-video-vesa, at least, have been
  reported to have issues with 0.14.

  PR:		239065 (tracking the regression)
  Reported by:	george@m5p.com, several others
  MFC after:	2019Q3 (fixes regression in 0.14)
  Sponsored by:	B3 Init
  Obtained from:	Graphics Team dev repo

Changes:
  head/devel/libpciaccess/Makefile
  head/devel/libpciaccess/distinfo
  head/devel/libpciaccess/files/patch-configure.ac
  head/devel/libpciaccess/files/patch-src-common_init.c
  head/devel/libpciaccess/files/patch-src-freebsd_pci.c
  head/devel/libpciaccess/files/patch-src-pciaccess_private.h
  head/devel/libpciaccess/files/patch-src_freebsd__pci.c
Comment 41 Niclas Zeising freebsd_committer 2019-08-05 21:32:01 UTC
A fix for this has been committed, it will take some time before it shows up in pre-built packages.
Comment 42 commit-hook freebsd_committer 2019-08-07 10:00:10 UTC
A commit references this bug:

Author: zeising
Date: Wed Aug  7 09:59:53 UTC 2019
New revision: 508309
URL: https://svnweb.freebsd.org/changeset/ports/508309

Log:
  MFH: r508214

  devel/libpciaccess: Update to 0.16, fix regression

  Update devel/libpciaccess to 0.16.  All local patches have been included in
  this version, so delete those files.
  Add a patch to fix a regression when using certain video drivers,
  xf86-video-mga, xf86-video-nv and xf86-video-vesa, at least, have been
  reported to have issues with 0.14.

  PR:		239065 (tracking the regression)
  Reported by:	george@m5p.com, several others
  MFC after:	2019Q3 (fixes regression in 0.14)
  Sponsored by:	B3 Init
  Obtained from:	Graphics Team dev repo

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/devel/libpciaccess/Makefile
  branches/2019Q3/devel/libpciaccess/distinfo
  branches/2019Q3/devel/libpciaccess/files/patch-configure.ac
  branches/2019Q3/devel/libpciaccess/files/patch-src-common_init.c
  branches/2019Q3/devel/libpciaccess/files/patch-src-freebsd_pci.c
  branches/2019Q3/devel/libpciaccess/files/patch-src-pciaccess_private.h
  branches/2019Q3/devel/libpciaccess/files/patch-src_freebsd__pci.c
Comment 43 Niclas Zeising freebsd_committer 2019-08-07 10:05:31 UTC
This is believed fixed, although it will take some time before packages propagate everywhere.
If there are any issues after updating libpciaccess to 0.16, please let me know.

Thank you for help with testing, and sorry for the breakage.
Comment 44 george 2019-08-07 13:34:53 UTC
I've update my ports tree and rebuilt, and I confirm that the problem is solved for me.